<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.118
Description: COCT_RM900913NL: Gegevens van de pasgeborene en eerste levensweken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.118">
   <title>A_NeonateData [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]"
         id="tmp-e8fc07ba-16b6-49b4-ab68-66ca76e366b2">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:neonateData)&gt;=1 and not(hl7:neonateData/@nullFlavor)">(A_NeonateData-universal): element hl7:neonateData is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:neonateData)&lt;=1">(A_NeonateData-universal): element hl7:neonateData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData"
         id="tmp-4e99a75c-85ad-4aa3-99da-6088ac9d4e2c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='ORGANIZER' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'ORGANIZER' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']/@nullFlavor)">(A_NeonateData-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'])&lt;=1">(A_NeonateData-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']"
         id="tmp-e1f9bcb5-77e4-4dc5-a7be-a85f6132bacc">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.118'">(A_NeonateData-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.118' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_NeonateData-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:code"
         id="tmp-5d8204f1-588d-4ba3-b56f-98b09903ff0c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='R016' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''R016' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1"
         id="tmp-5ac426c7-0642-47c6-98a5-4aaa24c9a880">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:inPatientEncounter)&gt;=1 and not(hl7:inPatientEncounter/@nullFlavor)">(A_NeonateData-universal): element hl7:inPatientEncounter is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:inPatientEncounter)&lt;=1">(A_NeonateData-universal): element hl7:inPatientEncounter komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter"
         id="tmp-5c912ce6-bd62-4944-bd64-aa3ac4c04743">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='ENC' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_NeonateData-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:location)&lt;=1">(A_NeonateData-universal): element hl7:location komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:code"
         id="tmp-727a9dc1-5b8a-41b4-8f21-e73855460c7c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='IMP' and @codeSystem='2.16.840.1.113883.5.4')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''IMP' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime"
         id="tmp-456bdb9f-5166-4df6-9cf6-db18c8620a85">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:low"
         id="tmp-a0365870-04f1-438c-964b-87261675095c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:high"
         id="tmp-eac75934-c3be-437d-9b07-482174e0d7b8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:effectiveTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location"
         id="tmp-452496d2-b8e0-42a4-adb0-785975e7a10a">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='LOC' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:serviceDeliveryLocation)&gt;=1 and not(hl7:serviceDeliveryLocation/@nullFlavor)">(A_NeonateData-universal): element hl7:serviceDeliveryLocation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:serviceDeliveryLocation)&lt;=1">(A_NeonateData-universal): element hl7:serviceDeliveryLocation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation"
         id="tmp-24dc3f8f-4c8b-466e-931c-8ba47586033c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='SDLOC' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'SDLOC' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:locationOf)&lt;=1">(A_NeonateData-universal): element hl7:locationOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:code"
         id="tmp-9bf83582-d75f-44b2-b30c-dd1ea68b0f01">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='PEDICU' and @codeSystem='2.16.840.1.113883.5.111')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''PEDICU' codeSystem '2.16.840.1.113883.5.111'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf"
         id="tmp-a40ae700-3dc1-4653-9c5b-ee828b898ed8">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='LOC' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:incubatorAccommodation)&gt;=1 ">(A_NeonateData-universal): element hl7:incubatorAccommodation is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:incubatorAccommodation)&lt;=1">(A_NeonateData-universal): element hl7:incubatorAccommodation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation"
         id="tmp-abdd9921-8785-494a-baab-376cc4892c2f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='ACCM' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'ACCM' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component1/hl7:inPatientEncounter/hl7:location/hl7:serviceDeliveryLocation/hl7:locationOf/hl7:incubatorAccommodation/hl7:code"
         id="tmp-2f900976-186d-475d-9741-b5259c4c0a08">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='144' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''144' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2"
         id="tmp-24b82892-d5bc-422f-9780-f6df6dc5eb65">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)">(A_NeonateData-universal): element hl7:substanceAdministrationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:substanceAdministrationEvent)&lt;=1">(A_NeonateData-universal): element hl7:substanceAdministrationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent"
         id="tmp-50831926-cebc-4938-b9d0-4d259a40f8a7">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='SBADM' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_NeonateData-universal): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:consumable)&lt;=1">(A_NeonateData-universal): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable"
         id="tmp-251db23c-13a6-4e00-8ae8-60c8b057b7bf">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='CSM' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_NeonateData-universal): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:medication)&lt;=1">(A_NeonateData-universal): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication"
         id="tmp-a435d270-2102-4e12-b145-9381be4c48cf">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='ADMM' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:materialKind)&gt;=1 and not(hl7:materialKind/@nullFlavor)">(A_NeonateData-universal): element hl7:materialKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:materialKind)&lt;=1">(A_NeonateData-universal): element hl7:materialKind komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:materialKind
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:materialKind"
         id="tmp-95f80eca-3354-4ed6-860c-8e6971fdd854">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='MAT' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@determinerCode='KIND' or not(@determinerCode)">(A_NeonateData-universal): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:materialKind/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:materialKind/hl7:code"
         id="tmp-2da76a3d-922e-43b8-8225-a0d9ec822fee">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='137' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='138' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='629' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code MOET één van de volgende codes bevatten: '137' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '138' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '629' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3"
         id="tmp-a43f8889-3374-4bb5-bf99-1adda679c928">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_NeonateData-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]|hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]|hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="$elmcount&gt;=1">(A_NeonateData-universal): keuze (hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']] of hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="$elmcount&lt;=1">(A_NeonateData-universal): keuze (hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']] of hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-3499545b-8379-46d8-b9be-01c11fea338c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-43680128-981e-4ab7-838f-43950c688880">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''108' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-126c5a03-9c79-42e5-85b1-eefc784ff0e2">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-00f6b379-2ac4-4d75-adb7-63a1eae3b22d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="parent::hl7:component3/../hl7:component3[./*/hl7:code[@code='108' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'] and ./*/hl7:value[@value='true']]">(A_NeonateData-universal): Als er sprake is van een volgnumer bij meerling dan MOET de meerlingindicator (BDS-element 108) op 'true' staan</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-5f6abe0f-d233-4fb1-9698-30b99ba42d15">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''109' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-4d1d55fa-cb22-4e94-a995-0dd49455b136">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(A_NeonateData-universal): value MOET in bereik [1..] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='109' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]"
         id="tmp-96e3c367-e792-4c0c-8909-8d283a46b9c9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code"
         id="tmp-fd89b603-50a0-4234-836f-68db3d9e26f7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''8339-4' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value"
         id="tmp-d9e4bf49-6d1b-479c-864d-b60ade24d357">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="(@nullFlavor or (@unit='g' and number($theValue)&lt;=999999 and (matches($theValue, '^[-+]?[0-9]*$'))))">(A_NeonateData-universal): value MOET eenheid 'g' gebruiken en in bereik [..999999] liggen  en exact op 0 decimalen nauwkeurig zijn </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-8f01458d-1004-4a7f-88e9-a6a71ed1bf49">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-76c6b5cc-9a6e-4b56-bcad-c02f012abd2c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''111' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-4840850b-c7d1-4f75-8f5b-5f5d6c9ccec8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="(@nullFlavor or (@unit='g' and number($theValue)&lt;=999999 and (matches($theValue, '^[-+]?[0-9]*$'))))">(A_NeonateData-universal): value MOET eenheid 'g' gebruiken en in bereik [..999999] liggen  en exact op 0 decimalen nauwkeurig zijn </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='111' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-32e83be5-28d5-44d5-b9f5-c8396061485f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-080fc549-ded6-4522-82cb-d3f61e55a4b1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''112' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-93424514-da89-4add-b4d9-eae32c1c06dd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="(@nullFlavor or (@unit='mm' and number($theValue)&lt;=9999 and (matches($theValue, '^[-+]?[0-9]*$'))))">(A_NeonateData-universal): value MOET eenheid 'mm' gebruiken en in bereik [..9999] liggen  en exact op 0 decimalen nauwkeurig zijn </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='112' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-1d708475-8a50-4dc1-b14b-1db4858f4ac7">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-8a1ea1fe-aebe-4920-9cb4-af9590f76d2c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''113' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-cbefa0a1-772b-49d5-bf0e-a26ea9e9ec42">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="(@nullFlavor or (@unit='mm' and number($theValue)&lt;=999 and (matches($theValue, '^[-+]?[0-9]*$'))))">(A_NeonateData-universal): value MOET eenheid 'mm' gebruiken en in bereik [..999] liggen  en exact op 0 decimalen nauwkeurig zijn </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='113' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-fd5e9a49-d894-4876-b754-29df3046fa8f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-8d207df5-8b93-4b25-9d1c-4a110d0352d7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''114' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-b0906b30-b699-4602-b301-7fcf1c71a224">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='114' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-01e02ffc-49da-4aea-bc4b-363821ab5cc6">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-f925bf88-edad-499b-a191-c454dde8513f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''115' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-6006c164-6c6a-4659-9701-7c003d8bafd1">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='115' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]"
         id="tmp-025c24ff-bac7-4abf-8646-bbc7cc93e3df">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code"
         id="tmp-15957139-0f8d-4873-9dea-fcd1c1d0fe34">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='9272-6' and @codeSystem='2.16.840.1.113883.6.1') or (@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')">(A_NeonateData-universal): de waarde van @code MOET één van de volgende codes bevatten: '9272-6' codeSystem '2.16.840.1.113883.6.1' of '9274-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value"
         id="tmp-e0abb33f-4d52-45ab-9166-61b4ae8c8ca4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))">(A_NeonateData-universal): value MOET in bereik [0..10] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='9272-6' or @code='9274-2') and @codeSystem='2.16.840.1.113883.6.1']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-c0a31261-7c1a-4e44-9e91-278de2b8667f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-9bd9b19b-f46b-4b6d-89e7-68946fc34790">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='626' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='131' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='133' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='134' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='135' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='145' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code MOET één van de volgende codes bevatten: '626' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '131' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '133' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '134' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '135' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '145' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-037d3aff-5042-4505-9544-65835d79d007">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[(@code='626' or @code='131' or @code='133' or @code='134' or @code='135' or @code='145') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-42010696-11ee-4e98-a961-3217f92f7c8d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 ">(A_NeonateData-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-0b6b8c3a-06b3-4bf8-959b-684df4f9b6ce">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1340' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code MOET één van de volgende codes bevatten: '747' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1340' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-7e8aba87-afef-4c66-8d8a-d457b3a73a86">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0177_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0177_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_NeonateData-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0177_HL7 W0177 Melkvoeding (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_NeonateData-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0177_HL7 W0177 Melkvoeding (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='747' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-6a0f8a17-8eb8-4446-abe8-ee6ff1a723ca">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_NeonateData-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-9471986f-957c-490e-969b-c2a48c19abea">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''139' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (Periode-M-Start-O-Eind-O)
-->
<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-0aaa3e1e-6c48-49a2-b094-4b7781a33a13">
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="$elmcount&gt;=1">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="$elmcount&lt;=2">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:width)=0">(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:center)=0">(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:low
Item: (Periode-M-Start-O-Eind-O)
-->
<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:low"
         id="tmp-95392f37-c2f8-418a-8fc3-e1c661d534f3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:high
Item: (Periode-M-Start-O-Eind-O)
-->
<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:high"
         id="tmp-77ecb8ad-dfc9-45fb-84ab-f0fef8b4ed40">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:width
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value/hl7:center
Item: (Periode-M-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='139' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-2f14e5e3-70d4-4c68-be4e-0359431822f9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 ">(A_NeonateData-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-7d94b4c8-bfc2-4f43-872b-42eae3a8ee6f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''140' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-36276673-cb7b-4c27-b19a-237e5f42ca4c">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0183_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0183_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_NeonateData-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0183_HL7 W0183 Oorzaak geel zien (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_NeonateData-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0183_HL7 W0183 Oorzaak geel zien (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='140' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-0ab304d8-2a29-4517-8666-790a6e03aff1">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@classCode='OBS' or not(@classCode)">(A_NeonateData-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_NeonateData-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_NeonateData-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:code)&lt;=1">(A_NeonateData-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&gt;=1 ">(A_NeonateData-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:value)&lt;=1">(A_NeonateData-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="count(hl7:targetSiteCode)=0">(A_NeonateData-universal): element hl7:targetSiteCode MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-9f822d73-da67-4b0c-b11b-763ace8ed93f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or (@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_NeonateData-universal): de waarde van @code/@codeSystem MOET ''142' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_NeonateData-universal)
-->

<rule context="*[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-2b0ee326-282b-441e-85d2-f858a1fcb20e">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0185_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0185_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_NeonateData-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0185_HL7 W0185 Therapie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.118.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_NeonateData-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0185_HL7 W0185 Therapie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.118
Context: *[hl7:neonateData[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.118']]/hl7:neonateData/hl7:component3/hl7:neonateObservations[hl7:code[@code='142' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:targetSiteCode
Item: (A_NeonateData-universal)
-->
</pattern>
