<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.123
Description: COCT_RM900916NL03: Gegevens van rijksvaccinaties en andere vaccinaties. Verschillen met versie 2 zijn: 
                SubstanceAdministration.moodCode was “EVN”, is nu D:ActMood om "nog te geven vaccinaties" toe te staan "EVN" was en is een werkelijke vaccinatie"INT" is de intentie tot geven van de vaccinatieVanwege de naamconventies is hierdoor ook SubstanceAdministrationEvent veranderd in SubstanceAdministration
                SubstanceAdministration.effectiveTime was TS, is nu GTS t.b.v. "Minimale vaccinatiedatum" en mogelijk "Streefdatum"
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.123">
   <title>A_Rijksvaccinatie [informational]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]"
         id="tmp-45a023cf-e407-4071-a001-142cacf114a7">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:substanceAdministration is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration"
         id="tmp-9bc96574-7af2-4867-93f3-1b9136009652">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@classCode='SBADM' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@moodCode='EVN' or @moodCode='INT'">(A_Rijksvaccinatie-informational): de waarde van @moodCode MOET één van de volgende codes bevatten: EVN', 'INT.</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:authorization">(A_Rijksvaccinatie-informational): als <name/>/@negationInd 'true' is, dan MOET er bezwaar zijn in authorization</assert>
      <assert role="error" test="@negationInd='true' or not(hl7:authorization)">(A_Rijksvaccinatie-informational): als <name/>/@negationInd 'false' is of afwezig, dan MAG er GEEN er bezwaar zijn in authorization</assert>
      <assert role="error" test="not(@negationInd='true' and @moodCode='INT')">(A_Rijksvaccinatie-informational): <name/>/@negationInd MAG NIET 'true' zijn bij te-verwachten-vaccinaties</assert>
      <assert role="error" test="not(@moodCode='INT' and hl7:performer)">(A_Rijksvaccinatie-informational): <name/>/@moodCode='INT' is een te-verwachten-vaccinatie. Deze KUNNEN GEEN uitvoerende partij hebben</assert>
      <assert role="error" test="not(@moodCode='INT' and hl7:authorization)">(A_Rijksvaccinatie-informational): <name/>/@moodCode='INT' is een te-verwachten-vaccinatie. Deze KUNNEN GEEN bezwaar bevatten</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'])&lt;=1">(A_Rijksvaccinatie-informational): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:effectiveTime[@xsi:type='IVL_TS' and @value]|hl7:effectiveTime[@xsi:type='IVL_TS' and hl7:low])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="$elmcount&lt;=1">(A_Rijksvaccinatie-informational): keuze (hl7:effectiveTime[@xsi:type='IVL_TS' and @value] of hl7:effectiveTime[@xsi:type='IVL_TS' and hl7:low]) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:consumable)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:consumable komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1">(A_Rijksvaccinatie-informational): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']"
         id="tmp-d264616d-a520-4129-969f-2eeb0e55e182">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.123'">(A_Rijksvaccinatie-informational): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.123' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_Rijksvaccinatie-informational): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:code
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:code"
         id="tmp-ee33e8a0-9d37-4bbe-9ee1-cfb4e5fffbbe">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration
Item: (A_Rijksvaccinatie-informational)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='IVL_TS' and @value]
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='IVL_TS' and @value]"
         id="tmp-f69beb46-be67-4dcf-a847-7b5ca7ee0214">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@xsi:type='IVL_TS'">(A_Rijksvaccinatie-informational): de waarde van @xsi:type MOET 'IVL_TS' zijn.</assert>
      <let name="theAttValue" value="@xsi:type"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='IVL_TS' and hl7:low]
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='IVL_TS' and hl7:low]"
         id="tmp-2f0bfaef-4eec-47c2-a463-5188a0713ec8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@xsi:type='IVL_TS'">(A_Rijksvaccinatie-informational): de waarde van @xsi:type MOET 'IVL_TS' zijn.</assert>
      <let name="theAttValue" value="@xsi:type"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:low)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:high)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:center)=0">(A_Rijksvaccinatie-informational): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:width)=0">(A_Rijksvaccinatie-informational): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='IVL_TS' and hl7:low]/hl7:low
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='IVL_TS' and hl7:low]/hl7:low"
         id="tmp-267f925e-0384-4e84-9377-7e3926cf5c27">
      <let name="theValue" value="@value"/>
      <assert role="error" test="matches(@value,'^[0-9]{8}')">(A_Rijksvaccinatie-informational): <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='IVL_TS' and hl7:low]/hl7:high
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='IVL_TS' and hl7:low]/hl7:high"
         id="tmp-91078b14-39ae-43ab-8d1d-f6a091187bf0">
      <let name="theValue" value="@value"/>
      <assert role="error" test="matches(@value,'^[0-9]{8}')">(A_Rijksvaccinatie-informational): <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='IVL_TS' and hl7:low]/hl7:center
Item: (A_Rijksvaccinatie-informational)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:effectiveTime[@xsi:type='IVL_TS' and hl7:low]/hl7:width
Item: (A_Rijksvaccinatie-informational)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable"
         id="tmp-11baa1af-1000-490a-8732-73c3971aee23">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@typeCode='CSM' or not(@typeCode)">(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:medication)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication"
         id="tmp-b21a1bce-d273-4504-a59b-4e9907b242c8">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@classCode='ADMM' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:administrableMedicine)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administrableMedicine
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administrableMedicine"
         id="tmp-f9997e40-9aa3-4a82-88e5-44e3c47ae584">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@classCode='MMAT' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@determinerCode='KIND' or not(@determinerCode)">(A_Rijksvaccinatie-informational): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              test="not(../../../@moodCode='EVN') or hl7:lotNumberText or ../../../hl7:authorization">(A_Rijksvaccinatie-informational): lotNumberText moet voor werkelijke vaccinaties het partijnummer bevatten, als er geen sprake is van bezwaar</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&gt;=1 ">(A_Rijksvaccinatie-informational): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:lotNumberText)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code"
         id="tmp-2904c5c2-1ec4-46d0-8c3d-ff2a419941d6">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0422_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Rijksvaccinatie-informational): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              test="(@code and @displayName) or (@nullFlavor and hl7:originalText)">(A_Rijksvaccinatie-informational): <name/> MOET @code en @displayName bevatten OF @nullFlavor en originalText</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText"
         id="tmp-fddcb7e4-7fc2-43d5-9fea-6fb5a45e9473">
      <let name="theValue" value="text()"/>
      <assert role="error" test="not(../../../../hl7:authorization)">(A_Rijksvaccinatie-informational): als er sprake van bezwaar is, mag er geen partijnummer aanwezig zijn</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (A_Rijksvaccinatie-informational)
-->
<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-3a14b1a9-740b-4663-88c9-2eb99f7790de">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@typeCode='PRF' or not(@typeCode)">(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization"
         id="tmp-ff28fc8f-0ee7-4b3e-8377-dff00f07942d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@typeCode='AUTH' or not(@typeCode)">(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">(A_Rijksvaccinatie-informational): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:consentEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:consentEvent)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:consentEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent"
         id="tmp-8be05856-eab5-4d35-aa95-540af960129e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@classCode='CONS' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:reasonOf)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:reasonOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:code
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:code"
         id="tmp-6bcb7449-e5b4-4791-b326-865807378422">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational): de waarde van @code/@codeSystem MOET ''IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf"
         id="tmp-e2baec9e-aa61-4b43-8892-9683b7968d28">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@typeCode='RSON' or not(@typeCode)">(A_Rijksvaccinatie-informational): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:observationEvent)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent"
         id="tmp-4da31366-891e-45da-bc2a-82d0d1f82c64">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@classCode='OBS' or not(@classCode)">(A_Rijksvaccinatie-informational): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Rijksvaccinatie-informational): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:code)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:value)&gt;=1 ">(A_Rijksvaccinatie-informational): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="count(hl7:value)&lt;=1">(A_Rijksvaccinatie-informational): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:code"
         id="tmp-dc9523bc-9da5-43e1-b22a-2e4323979c3b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-informational): de waarde van @code/@codeSystem MOET ''683' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.123
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value
Item: (A_Rijksvaccinatie-informational)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.123']]/hl7:substanceAdministration/hl7:authorization/hl7:consentEvent/hl7:reasonOf/hl7:observationEvent/hl7:value"
         id="tmp-a9421497-49dc-426b-bf8a-e3f96279ceee">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0323_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0323_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Rijksvaccinatie-informational): de waarde van @code MOET worden gekozen uit waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.123.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0323_HL7 W0323 Bezwaar (HL7) DYNAMIC.</assert>
   </rule>
</pattern>
