<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.201
Description: Dit is het template voor een control act wrapper in een agerend opvraagbericht. AuthorOrPerformer, Overseer en QueryByParameter worden hierin niet gecontroleerd. Deze worden in separate templates gedefinieerd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.201">
   <title>ControlAct QueryByParameter as Stub</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.201
Context: hl7:ControlActProcess
Item: (ControlActWrapperQUQI_MT021001)
-->

<rule context="hl7:ControlActProcess"
         id="tmp-5b6014f9-e63c-4ef1-a3e8-1d8ee6db6223">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.201.html"
              test="@moodCode='EVN'">(ControlActWrapperQUQI_MT021001): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.201.html"
              test="count(hl7:id)&lt;=1">(ControlActWrapperQUQI_MT021001): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.201.html"
              test="count(hl7:code)&lt;=1">(ControlActWrapperQUQI_MT021001): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.201.html"
              test="count(hl7:text)=0">(ControlActWrapperQUQI_MT021001): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.201.html"
              test="count(hl7:effectiveTime)&lt;=1">(ControlActWrapperQUQI_MT021001): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.201.html"
              test="count(hl7:reasonCode)=0">(ControlActWrapperQUQI_MT021001): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.201.html"
              test="count(hl7:languageCode)=0">(ControlActWrapperQUQI_MT021001): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.201.html"
              test="count(hl7:informationRecipient)=0">(ControlActWrapperQUQI_MT021001): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.201.html"
              test="count(hl7:dataEnterer)=0">(ControlActWrapperQUQI_MT021001): element hl7:dataEnterer MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.201
Context: hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperQUQI_MT021001)
-->

<rule context="hl7:ControlActProcess/hl7:id"
         id="tmp-94f258d9-df90-4814-9fe4-fa6bec1d42d8">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.201
Context: hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperQUQI_MT021001)
-->

<rule context="hl7:ControlActProcess/hl7:code"
         id="tmp-7e677502-5dfa-44d2-9d63-ba6949451657">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.201.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperQUQI_MT021001): de waarde van @codeSystem MOET ''2.16.840.1.113883.1.18'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.201
Context: hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.201
Context: hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperQUQI_MT021001)
-->

<rule context="hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-fd7c33aa-26ca-4a4b-ad11-4b598e929a79">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.201
Context: hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.201
Context: hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.201
Context: hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.201
Context: hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.201
Context: hl7:ControlActProcess/hl7:reasonOf
Item: (ControlActWrapperQUQI_MT021001)
-->
</pattern>
