<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.202
Description: Dit is het template voor een control act wrapper in een reagerend opleverbericht. AuthorOrPerformer en Overseer worden hierin niet gecontroleerd. Deze worden in separate templates gedefinieerd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.202">
   <title>ControlAct Query Response / Acknowledgement</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess"
         id="tmp-7e4d5325-424b-48c5-b4cc-0b81267f5db3">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@moodCode='EVN'">(ControlActWrapperQUQI_MT120001): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:id)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:code)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:text)=0">(ControlActWrapperQUQI_MT120001): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:effectiveTime)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:reasonCode)=0">(ControlActWrapperQUQI_MT120001): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:languageCode)=0">(ControlActWrapperQUQI_MT120001): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:informationRecipient)=0">(ControlActWrapperQUQI_MT120001): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:dataEnterer)=0">(ControlActWrapperQUQI_MT120001): element hl7:dataEnterer MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:queryAck)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:queryAck komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:id"
         id="tmp-6659f87a-29a5-4822-892d-60dfb2c5f526">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:code"
         id="tmp-b9389deb-497e-4925-ac27-9a0e6deb92aa">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperQUQI_MT120001): de waarde van @codeSystem MOET ''2.16.840.1.113883.1.18'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-13390079-ebc7-4815-8517-1981ae225fab">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:reasonOf
Item: (ControlActWrapperQUQI_MT120001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck"
         id="tmp-5bdf3dcd-2ff4-4cb1-b260-a39231a20277">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(ControlActWrapperQUQI_MT120001): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:queryId)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:statusCode)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:queryResponseCode)&gt;=1 and not(hl7:queryResponseCode/@nullFlavor)">(ControlActWrapperQUQI_MT120001): element hl7:queryResponseCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:queryResponseCode)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:queryResponseCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:resultTotalQuantity)&gt;=1 ">(ControlActWrapperQUQI_MT120001): element hl7:resultTotalQuantity is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:resultTotalQuantity)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:resultTotalQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:resultCurrentQuantity)&gt;=1 ">(ControlActWrapperQUQI_MT120001): element hl7:resultCurrentQuantity is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:resultCurrentQuantity)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:resultCurrentQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:resultRemainingQuantity)&gt;=1 ">(ControlActWrapperQUQI_MT120001): element hl7:resultRemainingQuantity is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="count(hl7:resultRemainingQuantity)&lt;=1">(ControlActWrapperQUQI_MT120001): element hl7:resultRemainingQuantity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:queryId
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:queryId"
         id="tmp-b1c0ba83-f00c-4263-9136-fca50098a4cb">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:statusCode
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:statusCode"
         id="tmp-f557ec24-8721-449f-8e4a-9d0304b733f8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or (@code='aborted') or (@code='deliveredResponse')">(ControlActWrapperQUQI_MT120001): de waarde van @code MOET één van de volgende codes bevatten: 'aborted' of 'deliveredResponse'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:queryResponseCode
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:queryResponseCode"
         id="tmp-cce65e6b-3b68-40f1-971c-2c562f77581d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.202.html"
              test="@nullFlavor or (@code='OK') or (@code='NF') or (@code='QE') or (@code='AE')">(ControlActWrapperQUQI_MT120001): de waarde van @code MOET één van de volgende codes bevatten: 'OK' of 'NF' of 'QE' of 'AE'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:resultTotalQuantity
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:resultTotalQuantity"
         id="tmp-9d44c720-df7d-4fe9-aac8-e4739d672682">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:resultCurrentQuantity
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:resultCurrentQuantity"
         id="tmp-2ae43035-d1f0-4502-9287-4e4141adf94b">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.202
Context: hl7:ControlActProcess/hl7:queryAck/hl7:resultRemainingQuantity
Item: (ControlActWrapperQUQI_MT120001)
-->

<rule context="hl7:ControlActProcess/hl7:queryAck/hl7:resultRemainingQuantity"
         id="tmp-87bd6a2a-8eff-45fc-ad5e-fe8d17461fd4">
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
