<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for REPC_IN002170NL - Opvragen Vaccinatiestatus </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces --><ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron --><!--Include datatype abstract schematrons-->
<pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_SXCM.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario opvragenVaccinatiestatus -->

<!-- OpvragenVaccinatiestatus -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.16.sch"/>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

<!-- phases first -->
<phase id="R_PatientNL-GBA-identified-confirmable">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.102"/>
   </phase>
   <phase id="R_PatientNL-JGZ-Informal-identified-confirmable">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.103"/>
   </phase>
   <phase id="rubricCluster12">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11012"/>
   </phase>
   <phase id="rubricCluster13">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11013"/>
   </phase>
   <phase id="rubricCluster19">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11019"/>
   </phase>
   <phase id="rubricCluster20">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11020"/>
   </phase>
   <phase id="rubricCluster21">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11021"/>
   </phase>
   <phase id="rubricCluster22">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11022"/>
   </phase>
   <phase id="rubricCluster23">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11023"/>
   </phase>
   <phase id="rubricCluster24">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11024"/>
   </phase>
   <phase id="rubricCluster25">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11025"/>
   </phase>
   <phase id="rubricCluster26">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11026"/>
   </phase>
   <phase id="rubricCluster27">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11027"/>
   </phase>
   <phase id="rubricCluster30">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11030"/>
   </phase>
   <phase id="rubricCluster31">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11031"/>
   </phase>
   <phase id="rubricCluster32">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11032"/>
   </phase>
   <phase id="rubricCluster34">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11034"/>
   </phase>
   <phase id="rubricCluster38">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11038"/>
   </phase>
   <phase id="rubricCluster39">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11039"/>
   </phase>
   <phase id="rubricCluster40">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11040"/>
   </phase>
   <phase id="rubricCluster42">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11042"/>
   </phase>
   <phase id="rubricCluster43">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11043"/>
   </phase>
   <phase id="rubricCluster45">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11045"/>
   </phase>
   <phase id="rubricCluster49">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11049"/>
   </phase>
   <phase id="rubricCluster52">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11052"/>
   </phase>
   <phase id="rubricCluster54">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.11054"/>
   </phase>
   <phase id="A_Rijksvaccinatie-universal">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.116"/>
   </phase>
   <phase id="A_Rijksvaccinatie-informational">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.117"/>
   </phase>
   <phase id="A_NeonateData-universal">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.118"/>
   </phase>
   <phase id="A_OntvangenZorg-universal">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.119"/>
   </phase>
   <phase id="A_ZorgPlan-universal">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.120"/>
   </phase>
   <phase id="A_Zwangerschap-universal">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.121"/>
   </phase>
   <phase id="R_AssignedEntityNL-identified">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.122"/>
   </phase>
   <phase id="A_Rijksvaccinatie-informational">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.123"/>
   </phase>
   <phase id="VersturenHielprikverzoek-payload">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.130"/>
   </phase>
   <phase id="R_PatientNL-JGZ-universal">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.131"/>
   </phase>
   <phase id="A_HeelPrick-universal">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.133"/>
   </phase>
   <phase id="Hielprikverzoek">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.134"/>
   </phase>
   <phase id="VersturenGeldigePartijnummers-payload">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.140"/>
   </phase>
   <phase id="PatientPerson-universal">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.163"/>
   </phase>
   <phase id="VersturenVaccinaties-payload">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.180"/>
   </phase>
   <phase id="OpleverenVaccinatiestatus-payload">
      <active pattern="template-2.16.840.1.113883.2.4.6.10.100.182"/>
   </phase>


   <!-- includes -->
<!-- R_PatientNL-GBA-identified-confirmable -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.102.sch"/>
   <!-- R_PatientNL-JGZ-Informal-identified-confirmable -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.103.sch"/>
   <!-- rubricCluster12 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11012.sch"/>
   <!-- rubricCluster13 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11013.sch"/>
   <!-- rubricCluster19 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11019.sch"/>
   <!-- rubricCluster20 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11020.sch"/>
   <!-- rubricCluster21 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11021.sch"/>
   <!-- rubricCluster22 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11022.sch"/>
   <!-- rubricCluster23 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11023.sch"/>
   <!-- rubricCluster24 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11024.sch"/>
   <!-- rubricCluster25 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11025.sch"/>
   <!-- rubricCluster26 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11026.sch"/>
   <!-- rubricCluster27 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11027.sch"/>
   <!-- rubricCluster30 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11030.sch"/>
   <!-- rubricCluster31 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11031.sch"/>
   <!-- rubricCluster32 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11032.sch"/>
   <!-- rubricCluster34 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11034.sch"/>
   <!-- rubricCluster38 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11038.sch"/>
   <!-- rubricCluster39 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11039.sch"/>
   <!-- rubricCluster40 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11040.sch"/>
   <!-- rubricCluster42 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11042.sch"/>
   <!-- rubricCluster43 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11043.sch"/>
   <!-- rubricCluster45 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11045.sch"/>
   <!-- rubricCluster49 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11049.sch"/>
   <!-- rubricCluster52 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11052.sch"/>
   <!-- rubricCluster54 -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.11054.sch"/>
   <!-- A_Rijksvaccinatie-universal -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.116.sch"/>
   <!-- A_Rijksvaccinatie-informational -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.117.sch"/>
   <!-- A_NeonateData-universal -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.118.sch"/>
   <!-- A_OntvangenZorg-universal -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.119.sch"/>
   <!-- A_ZorgPlan-universal -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.120.sch"/>
   <!-- A_Zwangerschap-universal -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.121.sch"/>
   <!-- R_AssignedEntityNL-identified -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.122.sch"/>
   <!-- A_Rijksvaccinatie-informational -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.123.sch"/>
   <!-- VersturenHielprikverzoek-payload -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.130.sch"/>
   <!-- R_PatientNL-JGZ-universal -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.131.sch"/>
   <!-- A_HeelPrick-universal -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.133.sch"/>
   <!-- Hielprikverzoek -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.134.sch"/>
   <!-- VersturenGeldigePartijnummers-payload -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.140.sch"/>
   <!-- PatientPerson-universal -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.163.sch"/>
   <!-- VersturenVaccinaties-payload -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.180.sch"/>
   <!-- OpleverenVaccinatiestatus-payload -->
<include href="include/2.16.840.1.113883.2.4.6.10.100.182.sch"/>

</schema>
