<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11031
Description: Vastleggen van de anamnese en het onderzoek van de (neuro)motoriek.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.11031">
   <title>Rubriek 31 Motorische ontwikkeling</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]
Item: (rubricCluster31)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster
Item: (rubricCluster31)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster"
         id="tmp-7ddf3124-7377-4c2e-a611-ac12d8b69268">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='CLUSTER' or not(@classCode)">(rubricCluster31): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricCluster31): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']/@nullFlavor)">(rubricCluster31): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031'])&lt;=1">(rubricCluster31): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(rubricCluster31): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(rubricCluster31): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/@nullFlavor)">(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster31): element hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']
Item: (rubricCluster31)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']"
         id="tmp-402c54fb-f314-492b-94d6-cd8dedd7bbdf">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.11031'">(rubricCluster31): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11031' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(rubricCluster31): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:code
Item: (rubricCluster31)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:code"
         id="tmp-52fa8743-aa50-4d96-beba-27320700188d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='R031' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(rubricCluster31): de waarde van @code/@codeSystem MOET ''R031' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster31)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster
Item: (obs_Motorische_ontwikkeling_onderzocht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Motorische_ontwikkeling_onderzocht)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-02ca35be-c85b-4844-a32d-c3db0cfde62d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Motorische_ontwikkeling_onderzocht): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&lt;=1">(obs_Motorische_ontwikkeling_onderzocht): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Motorische_ontwikkeling_onderzocht)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-cc54c9ca-4a47-4780-8b51-71a9f6e1cfc9">
      <extends rule="tmp-6c212d3b-0c8a-4e2d-aace-6e6248b61433"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268']/@nullFlavor)">(obs_Motorische_ontwikkeling_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268'])&lt;=1">(obs_Motorische_ontwikkeling_onderzocht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Motorische_ontwikkeling_onderzocht): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(obs_Motorische_ontwikkeling_onderzocht): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(obs_Motorische_ontwikkeling_onderzocht): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(obs_Motorische_ontwikkeling_onderzocht): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268']
Item: (obs_Motorische_ontwikkeling_onderzocht)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40268']"
         id="tmp-a1971a14-8afe-4488-8094-48ef060fa55f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40268'">(obs_Motorische_ontwikkeling_onderzocht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40268' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Motorische_ontwikkeling_onderzocht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Motorische_ontwikkeling_onderzocht)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-dd8ce163-fb4e-4ff0-8c20-670bc51918e8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Motorische_ontwikkeling_onderzocht): de waarde van @code/@codeSystem MOET ''268' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Motorische_ontwikkeling_onderzocht)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-77893b52-0293-4d9e-9c6c-4bbce31aee61">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-6c212d3b-0c8a-4e2d-aace-6e6248b61433" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-77b6ddec-cbb6-4dc2-8207-b6f1ced3948e">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-761f0582-47d4-4b31-87cb-bf5ca5bc1e98">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-16050aa3-6fd4-4553-9629-e1654930ae16">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-9435519b-7222-4eb0-9f35-2180123f0c3c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-1a3be439-dad7-4ee2-b436-4672a3c93379">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-08da10f0-c747-46b1-ad5c-1c0865a2dd39">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-4f59dd69-1adc-46ae-bb44-ba4da09891c0">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-c9dded06-dbb7-488d-9f6d-ca8fdbec610f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-9b3a6396-8ea9-4c57-88c8-34479cd83ef0">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-c39ae5b3-98a3-48e6-9f00-fbe6cd9f982e">
      <extends rule="tmp-11ebd5ae-e28b-4ebb-bd30-8d2cd582fdbf"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-11ebd5ae-e28b-4ebb-bd30-8d2cd582fdbf" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-4076ac55-3be0-472b-9832-a545a6fbf120">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-4d28eb68-7361-4c28-99ef-16e0e33dcbd3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-28a7243d-d087-4d27-b07a-c1b467493948">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-ad8a6412-1744-44a8-a0d7-4daaf7f15b10">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-616918cf-da44-42f7-a6ac-7e61626578ba">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-8fec11b1-6b07-4421-a53d-9f81024d9f54">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-8cb3760d-831c-48c3-aba8-eb07a1d1bbab">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-a4cc07a8-c272-4104-bb62-ff879632bed2">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3ae9a1ed-6f50-482d-8862-93a93e5fb6f1">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-c1e20dde-6f1f-486c-90df-03ed8c4d09c8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3689f62e-f1d5-468d-822d-9dbc58d023db">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-6d075c19-7f1f-461a-8a4d-7312a42ae2c5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-52a3f846-93a4-4866-93cf-82d6caa7a8c8">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-e748eae8-e891-4907-913b-1893dd7e9af9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-07cce446-bca2-46a2-93e3-8887be8805c4">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-6e404e64-2646-49e1-a93e-a469be6de8ea">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-08d33a38-7f85-4eb1-94d4-01ce98797696">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-f2749376-236e-4fea-b3c9-c8e216af84a8">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-61b787b4-5c1b-4b50-a759-20e5661817fd">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-67fdb87d-6634-44b9-b066-8e0584f511f2">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-e7a5b004-fde2-4ebc-a648-c40ff3f0f362">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-65f5dc53-d552-4b56-99db-5303ba34675a">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-b60d5fda-89a1-482b-8c0f-9188a62c55cd">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-966baacd-9893-4d9d-8847-10536badf8ee">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-115b660b-b642-4ff9-8f18-a30686d44a15">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-8e5bf42b-e5bc-4444-9e70-f8a8ce61b155">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-56a1602b-3d86-473a-8599-6fe99ac1d0c9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-7d643d72-22a0-4fb9-9d05-8acad4991b90">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-0c3a0c87-46b7-429b-93a0-0b72a9a665fe">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='268' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-0487b900-ee15-45f1-8d80-aa3cb3ff8551">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster31)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_motorische_ontwikkeling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_motorische_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-699c6a28-a107-437e-991d-6c6ccf42b1f5">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_motorische_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-4d3ed265-653e-4061-a3d3-d19c995715a1">
      <extends rule="tmp-8df41f23-ef61-4249-86a4-31d489d63508"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276']/@nullFlavor)">(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276'])&lt;=1">(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_motorische_ontwikkeling): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276']
Item: (obs_Bijzonderheden_motorische_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40276']"
         id="tmp-345496c6-16a3-4b49-8041-aaf28bdceb01">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40276'">(obs_Bijzonderheden_motorische_ontwikkeling): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40276' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_motorische_ontwikkeling): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_motorische_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-b52bc830-05d8-4d3c-86fc-bb007ad508c9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_motorische_ontwikkeling): de waarde van @code/@codeSystem MOET ''276' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_motorische_ontwikkeling)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-78db4c23-29f4-426d-a09c-0cd20c3c21e6">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-8df41f23-ef61-4249-86a4-31d489d63508" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-25536088-cbe3-401f-a480-bfd7d284a354">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-ae5d34ee-6447-4f66-9ed6-e52b4923cf5e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-db0f8eb6-0dba-49fe-a229-7b53cf601806">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-61330c86-75c3-4dfd-a1c9-8d2f68cc2646">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-f043fcea-dfeb-4ef1-b680-a8b511609216">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-193f7fb2-d43d-482a-a1cb-355798097a5c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-80d16293-9869-4663-84cc-084e107e2dd2">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-2ef273d7-007f-4a02-8226-2078fb7ca8a1">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-2ee72e08-c994-41ff-9ccb-b37641b85248">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-26bd50cc-9192-4059-b0d1-b018c5771480">
      <extends rule="tmp-e8f886b9-6a1f-4171-96a0-1ae28eec9eb5"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-e8f886b9-6a1f-4171-96a0-1ae28eec9eb5" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-9599d7a3-abbf-40ee-8114-b39707ca4b20">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-e3a5bdea-c7b1-4ab2-bf10-927f6877618d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-0936ff64-9b59-4f8f-9a84-f52b58bdcceb">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-d5deeb44-fc70-42b4-8ee9-6acccf253140">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-d1e6d2be-c351-4726-8bf1-317f0ef62dcd">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-4d432bf2-ab56-41f5-8803-9ed5a2c3299a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-1b45d5de-15ea-4378-b236-b18bf62d4018">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-837ffff3-93b6-4f4c-a713-08db2c465d6a">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-4a2d6d37-1198-4e48-ac05-df8745e67000">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-6df4da0a-52a5-401e-828c-05e2cc00f705">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-994cb52f-4d54-43a8-a4fd-32a9db5d7d55">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-103a58b8-48c5-41aa-8743-2a02471f0bbb">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-e6bc5733-1f9f-4cba-8291-31ae0065f6b0">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-4fa6373b-1b68-4dc9-a7ad-1de7f878d88d">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-ca48e5c7-8641-4966-92f4-2d2a11c57bbf">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-3c6c4790-484e-4633-8021-ffe5b437f1d6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-48521907-e729-405b-981c-a218e8707831">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-b5dcda8f-d3a9-4b6e-93ba-1fd81804f10a">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-3c552112-041b-4070-bc32-047c62907ee8">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-6223eeb3-2dec-4dac-8875-ed02e4e0779c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-9ecc3539-2b3e-4bf7-8ab9-b8e143df5589">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-49585d10-8901-4ff6-b667-1532884fb5c1">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-35ae72bb-9c3a-4b51-a159-344a78bf421e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-5cfaa56f-7ec8-4466-9506-6e1d200a8a0d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-6df445fe-d31b-4132-9d02-990bc0a12eb0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-c703871e-7d98-4b43-836b-ee9750de1837">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-18e7fc3d-39d5-411d-9922-cb049cbf481f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-dfdf6826-c314-4ab4-beac-a1f6590334d9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-a6ac9fe9-167b-4588-bc77-d2c8574b81bb">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='276' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-c206eadc-d70d-4e7b-b110-8b49fbfde2c0">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster31)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_tonus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_tonus)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-609ee391-dc75-410a-812b-1508fb59868e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_tonus): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_tonus): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_tonus)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-71729198-ba8a-4efc-ba9f-23a675b31848">
      <extends rule="tmp-79908e29-bd0a-4735-a9ea-349dea2fd32d"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269']/@nullFlavor)">(obs_Bijzonderheden_tonus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269'])&lt;=1">(obs_Bijzonderheden_tonus): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_tonus): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_tonus): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_tonus): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_tonus): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269']
Item: (obs_Bijzonderheden_tonus)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40269']"
         id="tmp-6468f989-cbe9-4692-9ada-5d3f89a00145">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40269'">(obs_Bijzonderheden_tonus): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40269' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_tonus): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_tonus)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-2850ebbd-ff55-45ef-8015-b4ea583e414a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_tonus): de waarde van @code/@codeSystem MOET ''269' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_tonus)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-dfb6f7aa-d6ee-4e9f-a54e-2a3864f0434d">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0275_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0275_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(obs_Bijzonderheden_tonus): de waarde van @code MOET worden gekozen uit waardenlijst W0275_HL7 W0275 Bijzonderheden tonus (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Bijzonderheden_tonus): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0275_HL7 W0275 Bijzonderheden tonus (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-79908e29-bd0a-4735-a9ea-349dea2fd32d" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-975ddf4c-6715-4daa-8cee-09b3c7a71809">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-b6bfef9f-8e74-4b47-9e26-fb233cdef0ef">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-f37975f1-1906-49bf-a90a-90a7fbf5c2e5">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-53a3448e-6697-4502-8e49-94ccec8111f6">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-f46597ca-321d-420d-8bd2-16fed9aa4a17">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-db0e9913-2e6b-460a-ba8a-60936dcf8b9d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-ebaed2c2-a13d-4aa9-a1e9-0b47199277b9">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-f393952a-37a7-42e6-b022-01f26d77b9b9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-368d1bb8-4389-4905-b898-11a10a3ac31e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-e5b00505-eb59-47e6-8a99-89e9f213f6dc">
      <extends rule="tmp-61ee7a6d-cf5a-4a7a-b8f4-e6109d8af785"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-61ee7a6d-cf5a-4a7a-b8f4-e6109d8af785" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-4b29ca2b-eb47-4ea3-a36d-61e01cfb6862">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-789c082f-505a-4852-9d9a-d4f2536cd984">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-923ae029-d023-453c-9c26-e5d090e295fc">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-7d46d907-38af-4117-bc41-aa174bc2ee5c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-3e74b659-33b4-462f-b29d-4471a5f76b27">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-4ff3e2f3-6b78-461d-8f66-26a2673467a2">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-b4a6394d-3e4c-4bab-8ab8-a9af55fb9d9f">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-9a44b6fd-6a85-430e-9664-08d10f292f88">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-ab673508-a680-4906-b414-c6b478c8c663">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-318b4539-96f0-42cb-9568-99be5ac82088">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-66378d17-dea9-453a-bd4a-17196aec8e27">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-fa6e0baa-dc00-436e-9b14-ffd3bea8781b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3cd487f6-51dc-4f3d-a10c-4db3fb9dd7be">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-13099494-9bfa-430b-a384-963a05c40dd9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-7b7f56a3-ace0-4953-b56d-8bb3a23705a0">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-358b4a5f-0357-459b-a194-3b319249dd03">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-d6227b42-26e9-483d-b489-05fb0213bd3c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-a3d716db-c948-41b7-90dd-5f2d10241899">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-be3fafab-897f-41f4-9157-bfacd21f4b34">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-7dbd6a58-fd03-4a9b-8987-8258c9275f7b">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-962819cc-fc27-4914-a375-99c102053f99">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-ef1fd4f1-5a59-4f5b-9388-34a21b41dee0">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-bfbb1ea0-b69b-4244-8281-7885e0f20a12">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-388ce331-cfde-41b9-b6c3-ae59a39e4227">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-9d21cd82-eb58-4151-811f-397713bbe807">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-0fc5d107-8c2d-4489-8442-4bb855c58b83">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-a0967939-379f-4071-9b60-8ee2dca07c2e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-4144922c-ef43-4fe0-8aed-6d484aaf5c70">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-2935de19-4922-4b16-8068-2af446a5c353">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='269' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-23613532-b744-4f91-95eb-dcd5a36fba66">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster31)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_centraal_zenuwstelsel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_centraal_zenuwstelsel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-1a1b766d-ac60-4bcf-972b-cecd4a4e10bc">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_centraal_zenuwstelsel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-e699b0ac-7c7d-4d13-8df7-e47773fa2208">
      <extends rule="tmp-b5a2bdb4-e7eb-47c9-a99b-16808839222c"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271']/@nullFlavor)">(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271'])&lt;=1">(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_centraal_zenuwstelsel): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271']
Item: (obs_Bijzonderheden_centraal_zenuwstelsel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40271']"
         id="tmp-37fb57bd-b6d4-49e2-8ba7-bbc9341fc98a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40271'">(obs_Bijzonderheden_centraal_zenuwstelsel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40271' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_centraal_zenuwstelsel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_centraal_zenuwstelsel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-d7eac509-0498-4d94-b9e9-b1a3ac6c1e8a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_centraal_zenuwstelsel): de waarde van @code/@codeSystem MOET ''271' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_centraal_zenuwstelsel)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-5dbe8213-5b9d-4300-96bc-2df66cdfd962">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-b5a2bdb4-e7eb-47c9-a99b-16808839222c" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-1ca978cc-e227-4588-8f02-51a356d5a506">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-ef97de3e-8ef4-4d67-9e8b-7b9f23c4db92">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-6c8607c7-98c5-4005-a56f-c493f2f1e021">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-0dcf7a36-e8ad-4e16-82a0-8b83d9eb3b95">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-fe08be22-cb20-46ad-b3de-41cc6e975e84">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-ecbf02ea-d62e-4ce7-9bd7-24669417f504">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-6c0133a4-7834-4dd4-9bb8-13ba5ed36cba">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-fd8618e8-bfb5-458f-b3dc-c2259167bb57">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-5f072b87-69df-4ca3-b82b-50fc2b8a710d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-00e255de-58a3-411d-aae9-4a6c0741c589">
      <extends rule="tmp-8719c56a-4517-4cb7-89ae-e927aaf038e3"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-8719c56a-4517-4cb7-89ae-e927aaf038e3" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-8d5bb7ff-ea3b-4b19-bfb2-6850013b891c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-0a3aeb33-b70b-4734-add7-d4a82c2582fd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-35efd0d3-6ef1-4b34-9bd3-b761abf84f7b">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-7d4498ce-291f-423c-b5fe-06ae73150b15">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-7d085396-5807-41e9-ae6f-43dfaf9fa7a0">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-bb2852da-389b-47da-a71b-18128fb87e34">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-d294d28d-a966-4495-80cd-abb7a25928b4">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-c32e013a-b353-49d4-864c-eb9c3ceba96c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-cfc35af7-de9b-4253-9627-66fe5fec34f1">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-6822da90-b04d-4e33-b110-548cfc96a43a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-bd304f32-548e-4870-b081-f560a5e9dfca">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-bcd7a726-434e-4ac8-ab11-a2d2a7c96c0f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3140d302-606e-4fee-8304-0e26c456e08b">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-7a14f181-756f-45cf-97d7-ed1a2384c741">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b2bb29dc-0a99-47c2-8e81-2acc8aef89b7">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-89c54d35-9331-4bb8-8098-46806d2e3eb7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-aa993511-2b58-4c5a-8f75-145590f6d59e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-3de798b4-cf6f-4082-9ca4-cf9f31465e73">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-9ddf2c83-bd34-42d9-bf47-4974d4dc5265">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-3a8275d5-b81c-44f6-9fd9-5f08c4499280">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-1dab2e02-ed7c-47be-b248-63a5d1881e59">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-56e6ad1f-0ca0-4063-969b-0d3b9c95be4f">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-bfda505b-4506-4b1e-a0d7-b2db3621bca9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-145505d8-ddb1-4f09-8ede-86fdf242d34f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-f7d3c29e-d0c5-4392-a8de-15b04187a42e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-a00d5bbf-d350-40a2-8fd2-b15b47442e3b">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-52201272-346b-41f3-a9d7-cf037909b240">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-8728b256-6e56-4b2d-82e9-aeafb7cf2fff">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-eac0059c-f0d9-4311-a212-a7109ac07a25">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='271' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-2618f7a2-6d22-473d-bcf6-25f5ed9d3636">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster31)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster
Item: (obs_Lateralisatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Lateralisatie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-689e4ab1-ec4f-4dad-8479-36b327874292">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Lateralisatie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&lt;=1">(obs_Lateralisatie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Lateralisatie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-235918f8-0361-4f19-b58f-fbf77be6b817">
      <extends rule="tmp-d4dbd8f3-0e8e-4807-9884-fa60a277cab8"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815']/@nullFlavor)">(obs_Lateralisatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815'])&lt;=1">(obs_Lateralisatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Lateralisatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(obs_Lateralisatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(obs_Lateralisatie): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(obs_Lateralisatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815']
Item: (obs_Lateralisatie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40815']"
         id="tmp-50f0a215-151f-49e7-ba02-83428d8ee9a9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40815'">(obs_Lateralisatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40815' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Lateralisatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Lateralisatie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-d0747cba-1484-464d-8fdc-bdf905a04ec5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Lateralisatie): de waarde van @code/@codeSystem MOET ''815' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Lateralisatie)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-eace5828-b476-4443-8770-da6d066bba0d">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0277_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0277_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(obs_Lateralisatie): de waarde van @code MOET worden gekozen uit waardenlijst W0277_HL7 W0277 Lateralisatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Lateralisatie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0277_HL7 W0277 Lateralisatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-d4dbd8f3-0e8e-4807-9884-fa60a277cab8" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-5a1b6601-5289-4423-950a-2a31e00117b9">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-18975f2d-8049-4d82-b330-d612704a9194">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-d506d1ea-ecf4-46f3-a61a-fd2cd706e55b">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-1aab66ca-c4f8-450b-89de-c88acb32da90">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-551abe28-b5f5-45a2-89a2-7152b8a54acc">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-5b30263a-c62c-4719-8632-90f66384d2cd">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-07837099-f07d-4172-8702-1ca90609f618">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-06f2cadc-dd6d-4e90-9575-a0b1a9a51563">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-a2444583-dbc0-4ab2-8296-4d2212e7de85">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6e5f9384-81d2-4d23-a311-c69d2bb3bdb1">
      <extends rule="tmp-141f5903-3eb8-4c8e-acfd-143e3da35288"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-141f5903-3eb8-4c8e-acfd-143e3da35288" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-67089d47-ce9b-46bd-9eaa-fa73ad903228">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-f862aada-e906-44dd-92e0-af6d9420d74a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-cd0a428c-2587-4a18-9eb2-faa929df6c9a">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-5f5639c1-f41e-434c-8913-e1fc2eeb41ca">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-53368149-86e0-461c-850c-7d7d29252a10">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-a4e6be54-7305-421f-8f7c-a30387881960">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-06325178-89c7-43ca-9a05-b4c7b511b437">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-8d660bef-29be-43cb-8faf-7cd58267e953">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-11f26da3-2c19-4776-a57c-e87edecac966">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9f0717b7-6864-4dc3-812c-eb5e17dc6885">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-787e4e82-7779-4b87-b68d-a32aaf0d1381">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-eb4a265c-237a-48c3-aa58-ebbb7f59e2cd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-8b379963-8632-4dc4-901f-4766a10077b1">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-2df908a1-edcc-4dc9-82c5-7423df9b46c5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-861913a0-fef9-409f-98b4-e96be1ee843e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-bc9311d0-8822-419f-aebd-1d62a55bfd86">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-6d3439c5-d63f-4388-abe2-0c0abfd3223f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-acee4977-2fbc-4717-a7aa-51e334d050f6">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-da002714-6f0f-4399-a35e-e5924ff0ecf0">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-483b8615-511e-4327-8353-73d74608cd3b">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-cfab6417-ecc2-46f1-8c0f-639f194f0b96">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-49c3c0a2-7df7-40da-8e11-e6cd77336ae2">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-5936c8fb-7450-4c45-abfd-f1f7c4638681">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-1cf03ad1-c30d-44fd-b743-70617d0c92fa">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-2b3e1611-128c-4232-8f53-c4eb1f4618ea">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-edff2a4f-090e-4acd-b246-9cd733b1d9ee">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-3f5ae88d-ab1a-4c32-8f6d-cf514eee7a67">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-01a31260-f390-472e-876f-ae02394426c9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-e749e447-0a77-4ada-a3be-664002d1cd4a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='815' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-4607572e-7598-4c48-bed3-46ced7a79c3c">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster31)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_sensibiliteit)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_sensibiliteit)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-c61ad629-fcf1-4329-8c10-f46b1c5b9e45">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_sensibiliteit): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_sensibiliteit): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_sensibiliteit)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-f3023525-cd67-4105-ab30-152e2758a6ed">
      <extends rule="tmp-8a78ef1e-ba2e-4f2a-885b-41b041bbdd0d"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437']/@nullFlavor)">(obs_Bijzonderheden_sensibiliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437'])&lt;=1">(obs_Bijzonderheden_sensibiliteit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_sensibiliteit): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_sensibiliteit): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_sensibiliteit): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_sensibiliteit): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437']
Item: (obs_Bijzonderheden_sensibiliteit)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41437']"
         id="tmp-216338c7-6ba1-4860-bfe2-9ae25c544b4e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.41437'">(obs_Bijzonderheden_sensibiliteit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41437' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_sensibiliteit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_sensibiliteit)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-c9c4a29d-e75e-4311-84eb-09ce8d05de14">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_sensibiliteit): de waarde van @code/@codeSystem MOET ''1437' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_sensibiliteit)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-d564931e-437a-4f73-8a40-277d4b85d103">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-8a78ef1e-ba2e-4f2a-885b-41b041bbdd0d" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-2ccecbf1-cf8c-4ade-bd47-991443a66f51">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-bbada249-dcf6-457c-82fc-8774212f157a">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-90a350f8-694a-4db2-a12a-0a76ed5b04d6">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-ec1f1762-8307-41fb-9e53-bbedf9c47385">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-b603f4b5-15d1-4789-ab94-c0127cc60106">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-73795936-caf7-4c4d-b522-e0f245c87731">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-6aac7ca0-e8cf-442d-8f57-6f33b49a450e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-e242ce91-0e56-43c3-badb-9ce30c9ffe57">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-cbf78969-20d4-4c97-9019-417e009132dc">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-e58dff27-ff4e-4f5f-a28f-8353e7dfe5f9">
      <extends rule="tmp-c7b4b024-3052-4d2e-98d9-f2bf85867897"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-c7b4b024-3052-4d2e-98d9-f2bf85867897" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-ccb240fa-107f-448f-87d9-315aab7fd1ea">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-15189765-d29a-49f6-b798-ad652c214bcc">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-b85d0255-3cda-4f33-97c7-4a751584cf43">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-e4033182-d0b9-4844-99ab-f431ab35123c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-8c2e836f-700e-4b1b-848e-94b604a0120e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-2001547f-f2b4-42bc-8853-3e447f3d80cf">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-5d307730-52a4-40f4-b895-d4940e42c54e">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-006c4c65-1ae7-4cc0-8ff5-608a0b4ade0b">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-314f228a-7818-490d-b50c-87d31e58c215">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1b2204df-e0ab-4ad8-84fc-e76adcafd930">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c24ce25b-90ac-47b9-9d22-0d0a76d6ec66">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-0f5af0e2-43a7-4289-9b97-c4a42ac7cfd0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a8770879-f611-40fa-a4ab-da9c2ed40a75">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-10f78ab9-64ef-43d2-bbca-6513fd0a461a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-2b97384f-6584-44ec-85ad-ef326176f37b">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-03019a38-ca7d-4b7c-9773-bf83a00cee9b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-11c7e4d6-2915-43ff-a3f0-440e834ff69e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-b383751d-126f-4f05-ac35-cc51d3d8abf9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-143ac6b4-1685-45d5-8fdd-f6b4673f4a70">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-22abed61-a4d8-41f8-a4db-74562a412d10">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-770bcbd3-951c-447a-b574-59d6be283d08">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-5a4456f3-598c-49fd-b0f5-aafd6a80f95f">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-6f8b3d8f-3ad1-4d65-b23a-c6c019ac6798">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-f624a536-fe6e-4255-868a-b905fec51494">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-1e4ec1f4-ed64-49dd-9cbe-53a841ac2185">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-ed2fe82a-b41d-48a5-8b96-f2e99414ec0f">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-c0d0f915-2323-40ed-ad32-1c3fdb1c44fa">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-f49494b6-1788-4f74-9050-22b6dcaa3e77">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-019cc5b8-b80d-42eb-bb7d-0095e820d79e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1437' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-0d4ae6f0-fcdd-4ec2-8789-12f9a935e904">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster31)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster
Item: (obs_Proef_van_Romberg)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Proef_van_Romberg)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6d8fa653-06e3-4abb-ad9e-2ca3728c1c71">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Proef_van_Romberg): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&lt;=1">(obs_Proef_van_Romberg): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Proef_van_Romberg)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-25f90e06-c75e-41d9-a98d-c9da74ea4ab4">
      <extends rule="tmp-08577f23-8dc5-4e34-ac79-9f2c02be480b"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438']/@nullFlavor)">(obs_Proef_van_Romberg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438'])&lt;=1">(obs_Proef_van_Romberg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Proef_van_Romberg): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(obs_Proef_van_Romberg): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(obs_Proef_van_Romberg): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(obs_Proef_van_Romberg): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438']
Item: (obs_Proef_van_Romberg)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41438']"
         id="tmp-4efdd2d0-71e4-443f-9e1b-88cdafd5bd56">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.41438'">(obs_Proef_van_Romberg): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41438' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Proef_van_Romberg): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Proef_van_Romberg)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-90a3803a-76da-4fd4-b1b6-4afbe4da3831">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Proef_van_Romberg): de waarde van @code/@codeSystem MOET ''1438' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Proef_van_Romberg)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-1facdcc5-1dc8-4403-be66-18f559b625e4">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0663_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0663_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(obs_Proef_van_Romberg): de waarde van @code MOET worden gekozen uit waardenlijst W0663_HL7 W0663 Afwijkend/niet afwijkend (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Proef_van_Romberg): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0663_HL7 W0663 Afwijkend/niet afwijkend (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-08577f23-8dc5-4e34-ac79-9f2c02be480b" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-fb304793-473a-448b-b107-42c4cf12046f">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-e150b9d1-1eeb-487b-aed1-155360bead40">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-24046caf-d45c-41a9-a763-983ff6380476">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-f5dbb6ff-fcf5-4f5c-961c-c5d4ef61e18a">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-2fa97f64-9828-484f-992f-c22a4c2bce42">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-872b8471-4763-4e73-86f1-359dd8099d35">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-a39b3e95-d9f1-4480-a2f9-2065a8a2a9ad">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-f63db2da-9dee-4767-8419-9450371ddf77">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-b14e5e68-15f2-4a97-be8a-56af9243513e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-ee29f5b6-5929-4ede-88d0-ccbc115bba6d">
      <extends rule="tmp-abeda04f-a9ab-4308-8afd-d33fb9a5a9d4"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-abeda04f-a9ab-4308-8afd-d33fb9a5a9d4" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-af3f78f7-8f61-42f5-918b-a27c429678c9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-b7d3efec-219f-4dea-97a8-779674c0b009">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-7267276b-70aa-4490-ac60-07c4743566b3">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-3955054e-4648-47bd-a19f-14881d145ff0">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-341500ce-4888-42a8-bdd5-7706a717e69a">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-668b4972-6382-4f3a-b593-c9b70fc12e31">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-6cb99d91-45a7-44f6-bb90-3e7d5b28ad09">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-fca69d94-f88a-40dc-b628-5160c9e6dfde">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-0dc8c437-bfbd-4a64-a059-e774c4d14289">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-98a871fa-bad1-405c-9cff-339ceaa404d1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-eadf8ba1-e668-4db6-a54b-b75acca35019">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ea141b6e-f6c2-4cfc-93a0-4361a4d7d894">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-33b17818-1159-41a0-a9fa-adf145ff91c7">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1b3bc9e9-23cc-4891-807d-aa0f55bae0db">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-5d83661a-8881-485f-b3c6-3f8175ff4018">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-90ebccc1-bfda-4bdf-8426-6ca94b09894b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-f0b292e2-e310-4085-8be1-fc88bbf29c66">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-4ba9caa2-16d0-4106-a1bf-c676cac7f18e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-c69ce2bd-3697-4968-ab8b-f88c98517b34">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-74dac651-5c62-4e89-9b72-b335f8f735a6">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-5a1fa04f-7246-4b20-9452-4965e325d78f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-4af3f4a2-da9a-4688-868a-45d1745fe137">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-490b36a4-d1f1-434c-a391-674bb760f6d8">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-6140fd62-1fe2-4ee6-94c6-ef999536d5e0">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-2804e6b4-1813-4fbf-8c97-e3a7c5e9dad1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-259b100c-e297-4938-9ed5-b3a35092b236">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-b8cf8e2f-60e8-49e4-98ab-7eeff211c7be">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-946ad5d8-9569-4f15-b688-b14f3aba8566">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-03689b0b-a5b1-4fd7-99a4-f3b0581afc44">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1438' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-1821a6ee-d35b-4e35-ab4f-4236b0056f4c">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster31)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster
Item: (obs_Kruis_van_Reitan)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Kruis_van_Reitan)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6ad4787f-abe6-457e-8c77-3952d3020b23">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Kruis_van_Reitan): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:observation)&lt;=1">(obs_Kruis_van_Reitan): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Kruis_van_Reitan)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-9a297924-2a05-4d4f-9496-2445ddd09009">
      <extends rule="tmp-1fd45e6e-3e8a-4f4c-90a8-7a171d587b21"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439']/@nullFlavor)">(obs_Kruis_van_Reitan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439'])&lt;=1">(obs_Kruis_van_Reitan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Kruis_van_Reitan): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(obs_Kruis_van_Reitan): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(obs_Kruis_van_Reitan): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(obs_Kruis_van_Reitan): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439']
Item: (obs_Kruis_van_Reitan)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.41439']"
         id="tmp-2b4420f8-b964-4751-9e67-4166e8d594d0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.41439'">(obs_Kruis_van_Reitan): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.41439' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Kruis_van_Reitan): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Kruis_van_Reitan)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-035dce42-805c-4442-b3cd-7d27992b3d87">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Kruis_van_Reitan): de waarde van @code/@codeSystem MOET ''1439' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Kruis_van_Reitan)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-89436635-f1c9-443f-b4e4-0132abe5c56b">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0664_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0664_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(obs_Kruis_van_Reitan): de waarde van @code MOET worden gekozen uit waardenlijst W0664_HL7 W0664 Kruis van Reitan score (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Kruis_van_Reitan): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0664_HL7 W0664 Kruis van Reitan score (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-1fd45e6e-3e8a-4f4c-90a8-7a171d587b21" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-a6a27e31-65a6-4cee-a2bb-71a476d7c1a1">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-ce0895da-7a94-4a57-93b9-977cb4884a1e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-d37774d5-1011-4fb6-899d-de1f8cc95c06">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-10f7bf6f-446e-48c3-bced-76ad69220358">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-2b1bc2a7-b19a-450f-8e77-7202c319f5d7">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-729d8af5-50a7-4334-8112-a3a88f1c9ea2">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-057a659e-8892-41c0-9355-05ba7d4f9333">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-515c7238-8ce6-4479-a74f-cebc9f9d5438">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-b89973a5-3df9-4d7e-b733-d0ee1d8d4ae1">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-07bfbd5f-1195-4342-81af-e173be455e2b">
      <extends rule="tmp-9a7320ad-ef17-4131-bdfd-cd9bd1f4c180"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-9a7320ad-ef17-4131-bdfd-cd9bd1f4c180" abstract="true">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-5682c520-0903-49c5-b152-60f4ef7e7c4b">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-24271abc-d898-4878-8af5-10a86145842e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-091d4660-3f23-4cdf-989f-1f2a879bba9c">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-95f9760c-0144-4cee-a0fb-5f35428c78cc">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-dfaebe65-2035-4bc0-a7d5-4223076cd463">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-c7491ead-b0c6-4fdb-b216-f61b9a57c160">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-c3f17e99-cee2-4b4a-b41b-6f1a49a3b419">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-81c74100-298e-46a1-965d-213d463164f5">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-aad53378-8998-4af4-9086-2e4bf727bfc9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-247ff076-daf3-4446-9b9b-757a53589bbc">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b3ba31a0-14e0-4119-bee4-926d79299a0a">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-06190d1e-dcd1-4cd4-9c11-f9037f544728">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1b62daf5-5a68-4e25-9811-e3e01f95e7d3">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-3998a024-a6ba-4988-9970-8d1d46c65c63">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-736b4baa-9737-4a8f-b930-bba95bedb56d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-3ca5dad0-0df3-4bc2-b51b-d565811aa16f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-cd998345-c47a-402f-8fc3-aaf4c382f0ae">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-c82392c7-9c76-45d6-934b-4e0041b193f9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-43777c24-131e-4337-a047-666f734a95af">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-456fec93-f9e5-454d-8a2b-eb392a25ad5b">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-4ec327ac-06dc-4840-9bfd-e0421be4fe05">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-45885a3b-8dc5-4665-a89a-07b14959ccdd">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-2f64214e-53fc-40fd-9de5-6c79772cc4b5">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-c35beaa6-7558-4a8f-af1b-7f650c4d4ca0">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-ef2d63d7-4b31-4f4d-b72c-48fcf2d19ca7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-6dc27c42-412b-4c6c-8056-57698ba4f05f">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-d256662c-24a3-46bc-9af6-e1c9ec44a54e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-e3365389-5b16-4f92-baaf-0f3820452279">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-75b89f82-4459-4705-9d73-0c805f9c23ef">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.11031.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11031
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11031']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='1439' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-02549887-ae09-4023-b302-ba616d42a440">
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
