<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.131
Description: COCT_RM050000NL02: Patiëntkenmerken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.131">
   <title>R_PatientNL_JGZ [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient"
         id="tmp-6847cb95-aa43-45eb-86e2-b1251072368f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PAT' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'])&lt;=1">(R_PatientNL-JGZ-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:addr[@use='HP' or @use='PST']|hl7:addr[@use and not(@use='OR')]|hl7:addr[not(@use) and hl7:useablePeriod])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=3">(R_PatientNL-JGZ-universal): keuze (hl7:addr[@use='HP' or @use='PST'] of hl7:addr[@use and not(@use='OR')] of hl7:addr[not(@use) and hl7:useablePeriod]) bevat te veel elementen [max 3x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:statusCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:confidentialityCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:confidentialityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:subjectOf1)=0">(R_PatientNL-JGZ-universal): element hl7:subjectOf1 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:patientPerson)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']"
         id="tmp-e1461bf1-9eea-453a-a01e-79cf715502d4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.131'">(R_PatientNL-JGZ-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.131' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_PatientNL-JGZ-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-41b6cfe3-c940-4e74-ba24-f63a8d7630ee">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(R_PatientNL-JGZ-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_PatientNL-JGZ-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']"
         id="tmp-99ba296e-11a4-48ec-a076-77e211a825b8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="count(index-of(@use,'HP'))=1 or count(index-of(@use,'PST'))=1">(AdresOfficieel): 
                    <name/>/@use MOET waarde 'HP' of 'PST' bevatten</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:streetName)&gt;=1 and not(hl7:streetName/@nullFlavor)">(AdresOfficieel): element hl7:streetName is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:streetName)&lt;=1">(AdresOfficieel): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)">(AdresOfficieel): element hl7:houseNumber is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:houseNumber)&lt;=2">(AdresOfficieel): element hl7:houseNumber komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:additionalLocator)&lt;=1">(AdresOfficieel): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">(AdresOfficieel): element hl7:postalCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:postalCode)&lt;=1">(AdresOfficieel): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)">(AdresOfficieel): element hl7:county is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)&lt;=1">(AdresOfficieel): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresOfficieel): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:streetName
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:streetName"
         id="tmp-95db8411-2ada-4600-b1de-da8929735abf">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:houseNumber
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:houseNumber"
         id="tmp-a6597f61-4cd9-4929-9d8d-c5edf8ea5780">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:additionalLocator
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:additionalLocator"
         id="tmp-15a50e9e-2244-4c55-9467-d0cdac270e57">
      <let name="theValue" value="text()"/>
      <assert role="error" test="text()='to' or text()='by'">(AdresOfficieel): 
                        <name path=".."/>/<name/> MOET 'to' of 'by' bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:postalCode
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:postalCode"
         id="tmp-8dbc35a9-82bc-4db5-9d79-60e7cb6a8dd0">
      <let name="theValue" value="text()"/>
      <assert role="error" test="string-length(text())=7">(AdresOfficieel): 
                        <name path=".."/>/<name/> MOET formaat 'nnnn AA' zijn (met spatie)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:county
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:county"
         id="tmp-ad946a15-2bde-4547-864a-e34cd043f77e">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresOfficieel): 
                        <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod
Item: (AdresOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod"
         id="tmp-77ff0376-7283-43da-ad8c-747ab0c119ee">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:low"
         id="tmp-210b4491-25ff-487c-a91c-8c5f566e152f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:high"
         id="tmp-8c89e0bc-0503-4ccb-99f4-d2e5dbe826a2">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]"
         id="tmp-ae03ef6e-3448-4f2a-bae7-4573f4aaabc7">
      <let name="theValue" value="@value"/>
      <assert role="warning" test="@use">(AdresZoalsBekendBijInstelling): Het attribuut @use MOET, indien aanwezig, 'HP' (Primair woonadres) of 'PST' (Postadres), 'PHYS' (Bezoekadres), 'WP' (Werkadres), 'HV' (Vakantieadres), of 'CONF' (Geheim adres) bevatten.</assert>
      <let name="elmcount"
           value="count(hl7:streetName|hl7:houseNumber|hl7:buildingNumberSuffix|hl7:additionalLocator|hl7:postalCode|hl7:city|hl7:county|hl7:country|hl7:delimiter|hl7:desc)"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(AdresZoalsBekendBijInstelling): keuze (hl7:streetName of hl7:houseNumber of hl7:buildingNumberSuffix of hl7:additionalLocator of hl7:postalCode of hl7:city of hl7:county of hl7:country of hl7:delimiter of hl7:desc) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresZoalsBekendBijInstelling): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:streetName
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:streetName"
         id="tmp-e4ae92f3-05f6-47ab-8922-7a6d25a4da73">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:houseNumber
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:houseNumber"
         id="tmp-a47fa2d3-d972-4df2-aa7b-5b1b09b5b14d">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:buildingNumberSuffix
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:buildingNumberSuffix"
         id="tmp-0300f48c-12cb-4fb6-b028-6f5a15b5c395">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:additionalLocator
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:additionalLocator"
         id="tmp-0dbe8e67-c7cc-4e85-bbbd-15c7f146a33d">
      <let name="theValue" value="text()"/>
      <assert role="error" test="text()='to' or text()='by'">(AdresZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/> MOET 'to' of 'by' bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:postalCode
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:postalCode"
         id="tmp-cc5bc7ae-9c6e-45e0-98cd-c89668cb8d12">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:city
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:city"
         id="tmp-f5b37902-82e9-4ff8-ac62-82398a95dbd9">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:county
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:county"
         id="tmp-f332d2b8-9819-47b6-bd1e-67e1abe7a754">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33 (IH Basiscomponenten/Jeugdgezondheidszorg)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:country
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:country"
         id="tmp-8cc831bd-c510-41ad-91ba-868148a0582e">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(AdresZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:delimiter
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:delimiter"
         id="tmp-b9d4043b-d892-46de-87c8-6e699904af52">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:desc
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:desc"
         id="tmp-d5024d72-6637-4185-be87-0dcd2b9ea059">
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod"
         id="tmp-45e13578-cb26-4f85-805a-c0d6e85e9339">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:low"
         id="tmp-8b11909d-ea0a-4c01-9e82-8eea9d598c91">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:high"
         id="tmp-2da242a3-7a5d-4236-9574-534c1ba356ea">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]
Item: (AdresVestigingVertrekNederland)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]"
         id="tmp-5908bbf6-3f05-4c5b-8f93-d9222f51ea3b">
      <let name="theValue" value="@value"/>
      <assert role="error" test="not(@use)">(AdresVestigingVertrekNederland): Het attribuut @use MAG NIET worden gebruikt.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:streetName)=0">(AdresVestigingVertrekNederland): element hl7:streetName MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:houseNumber)=0">(AdresVestigingVertrekNederland): element hl7:houseNumber MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:buildingNumberSuffix)=0">(AdresVestigingVertrekNederland): element hl7:buildingNumberSuffix MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:additionalLocator)=0">(AdresVestigingVertrekNederland): element hl7:additionalLocator MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:postalCode)=0">(AdresVestigingVertrekNederland): element hl7:postalCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:city)=0">(AdresVestigingVertrekNederland): element hl7:city MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)=0">(AdresVestigingVertrekNederland): element hl7:county MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)">(AdresVestigingVertrekNederland): element hl7:country is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&lt;=1">(AdresVestigingVertrekNederland): element hl7:country komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:delimiter)=0">(AdresVestigingVertrekNederland): element hl7:delimiter MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:desc)=0">(AdresVestigingVertrekNederland): element hl7:desc MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&gt;=1 and not(hl7:useablePeriod/@nullFlavor)">(AdresVestigingVertrekNederland): element hl7:useablePeriod is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresVestigingVertrekNederland): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:streetName
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:houseNumber
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:buildingNumberSuffix
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:additionalLocator
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:postalCode
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:city
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:county
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:country
Item: (AdresVestigingVertrekNederland)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:country"
         id="tmp-dfa188da-911f-481b-852f-460e1cdb3021">
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.4.16.34')">(AdresVestigingVertrekNederland): de waarde van @code/@codeSystem MOET ''6030' codeSystem '2.16.840.1.113883.2.4.4.16.34'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:delimiter
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:desc
Item: (AdresVestigingVertrekNederland)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod"
         id="tmp-13a6e94e-61e8-40ac-a7c2-cbc462f4de74">
      <extends rule="tmp-10a51c6e-4623-4b5d-a433-dd3d54342011"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(AdresVestigingVertrekNederland): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(AdresVestigingVertrekNederland): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low"
         id="tmp-3c05a8cf-e17a-41a9-bf17-56f105ddf654">
      <extends rule="tmp-c23f8e14-a7d1-49f9-9d6c-a982782d8eb5"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high"
         id="tmp-cbf0bd9f-0c52-46ae-a628-3baee20e66ec">
      <extends rule="tmp-dce99afc-de18-48d1-a0db-2c94d3b3652a"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-10a51c6e-4623-4b5d-a433-dd3d54342011" abstract="true">
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=2">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-c23f8e14-a7d1-49f9-9d6c-a982782d8eb5" abstract="true">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-dce99afc-de18-48d1-a0db-2c94d3b3652a" abstract="true">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:width
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:center
Item: (Periode-M-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:telecom"
         id="tmp-a0e22c97-5332-491a-b22c-221481fd2793">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:statusCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:statusCode"
         id="tmp-94ca589b-154b-4219-85c1-7a64121dd344">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='active')">(R_PatientNL-JGZ-universal): de waarde van @code MOET ''active'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:confidentialityCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:confidentialityCode"
         id="tmp-7a54e25b-a891-4f2a-a99b-92d9dc8f7271">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0032_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0032_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) DYNAMIC.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf
Item: (R_PatientNL-JGZ-universal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf"
         id="tmp-796456f0-7dd0-41cb-ba54-55b3ff6539c9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='COV' or not(@typeCode)">(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'COV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient
Item: (A_CoverageNL-minimal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf
Item: (A_CoverageNL-minimal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord"
         id="tmp-e02fbd59-41b7-4a33-b287-24d74da51af5">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='COV' or not(@classCode)">(A_CoverageNL-minimal): de waarde van @classCode MOET 'COV' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_CoverageNL-minimal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:component)&gt;=1 and not(hl7:component/@nullFlavor)">(A_CoverageNL-minimal): element hl7:component is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component"
         id="tmp-9ebbc5d6-5203-45e9-828c-0c488d4d6e38">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_CoverageNL-minimal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:policyOrProgram)&gt;=1 and not(hl7:policyOrProgram/@nullFlavor)">(A_CoverageNL-minimal): element hl7:policyOrProgram is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:policyOrProgram)&lt;=1">(A_CoverageNL-minimal): element hl7:policyOrProgram komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram"
         id="tmp-90de766c-b6af-4f11-bd9c-b0c8161d2489">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='COV' or not(@classCode)">(A_CoverageNL-minimal): de waarde van @classCode MOET 'COV' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_CoverageNL-minimal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_CoverageNL-minimal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(A_CoverageNL-minimal): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:coveredParty[@nullFlavor]|hl7:coveredParty[not(@nullFlavor)])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(A_CoverageNL-minimal): keuze (hl7:coveredParty[@nullFlavor] of hl7:coveredParty[not(@nullFlavor)]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=1">(A_CoverageNL-minimal): keuze (hl7:coveredParty[@nullFlavor] of hl7:coveredParty[not(@nullFlavor)]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:code
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:code"
         id="tmp-d8da5178-8e23-4c46-85ad-7f1d9c041fe1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='HIP' and @codeSystem='2.16.840.1.113883.5.4' and @displayName='Health Insurance Policy')">(A_CoverageNL-minimal): de waarde van @code/@codeSystem MOET ''HIP' codeSystem '2.16.840.1.113883.5.4' displayName='Health Insurance Policy'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram
Item: (A_CoverageNL-minimal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[@nullFlavor]
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[@nullFlavor]"
         id="tmp-d6fc570b-9bf3-4f25-9db3-fc9c07982e65">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='COV' or not(@typeCode)">(A_CoverageNL-minimal): de waarde van @typeCode MOET 'COV' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='NI'">(A_CoverageNL-minimal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@xsi:type='true'">(A_CoverageNL-minimal): de waarde van @xsi:type MOET 'true' zijn.</assert>
      <let name="theAttValue" value="@xsi:type"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]"
         id="tmp-3ea01d07-2212-4ab6-b37f-35a4d3b517d1">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='COV' or not(@typeCode)">(A_CoverageNL-minimal): de waarde van @typeCode MOET 'COV' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&gt;=1 ">(A_CoverageNL-minimal): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(A_CoverageNL-minimal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 ">(A_CoverageNL-minimal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(A_CoverageNL-minimal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:underwritingOrganization)&gt;=1 and not(hl7:underwritingOrganization/@nullFlavor)">(A_CoverageNL-minimal): element hl7:underwritingOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:underwritingOrganization)&lt;=1">(A_CoverageNL-minimal): element hl7:underwritingOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:id
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:id"
         id="tmp-4b98e75c-6a9d-4991-bb03-a149992ac05c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNC'">(A_CoverageNL-minimal): de waarde van @nullFlavor MOET 'UNC' zijn.</assert>
      <assert role="error" test="@extension">(A_CoverageNL-minimal): 
                                        <name path=".."/>/<name/>/@extension moet het polisnummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:code
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:code"
         id="tmp-a847f2d3-8b4d-488d-98f6-640074ee86aa">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-CoverageRoleTypeJGZ-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-CoverageRoleTypeJGZ-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_CoverageNL-minimal): de waarde van @code MOET worden gekozen uit waardenlijst CoverageRoleTypeJGZ CoverageRoleTypeJGZ (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_CoverageNL-minimal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst CoverageRoleTypeJGZ CoverageRoleTypeJGZ (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization"
         id="tmp-c672569b-d9c5-43e0-b76e-fbdbeef640cd">
      <assert role="error" test="hl7:id or hl7:name">(A_CoverageNL-minimal): 
                                        <name/> MOET tenminste een id of naam bevatten.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(A_CoverageNL-minimal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(A_CoverageNL-minimal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization/hl7:id
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization/hl7:id"
         id="tmp-71b4a029-9631-408f-9b5a-9c013806d1ba">
      <let name="theValue" value="@value"/>
      <assert role="warning" test="@root='2.16.840.1.113883.2.4.6.4'">(A_CoverageNL-minimal): 
                                            <name path=".."/>/<name/> bevat geen UZOVI-nummer. Dat kan alleen voor niet-Nederlandse verzekeraars.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization/hl7:name
Item: (A_CoverageNL-minimal)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:covererdPartyOf/hl7:coverageRecord/hl7:component/hl7:policyOrProgram/hl7:coveredParty[not(@nullFlavor)]/hl7:underwritingOrganization/hl7:name"
         id="tmp-add3384a-e061-418f-9ebd-f488d9d08fcf">
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1"
         id="tmp-f7817952-3dad-407b-8886-1be9ec50de41">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='SBJ' or not(@typeCode)">(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:administrativeObservation)&gt;=1 and not(hl7:administrativeObservation/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:administrativeObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:administrativeObservation)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:administrativeObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation"
         id="tmp-1c442177-fb32-4c2d-bda0-fdee57bd6bef">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='OBS' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@moodCode='EVN' or not(@moodCode)">(R_PatientNL-JGZ-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:value)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation/hl7:code"
         id="tmp-a63849e7-7293-4e0f-83b7-81be3ca181af">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation/hl7:value
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf1/hl7:administrativeObservation/hl7:value"
         id="tmp-726ed4ce-2121-47bc-86bc-85e5cd1fbed6">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2"
         id="tmp-b639ee9b-5c7e-4ce0-be91-8b9cd4aa881f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='SBJ' or not(@typeCode)">(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:identityDocument)&gt;=1 and not(hl7:identityDocument/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:identityDocument is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:identityDocument)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:identityDocument komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument"
         id="tmp-3da205a9-7e69-4390-8c1b-b273e9ef8e58">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='DOC' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:id"
         id="tmp-d59aa439-d096-4e44-bdf7-5cf2e884bc69">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:code"
         id="tmp-7b5f8dc4-b49c-42e7-8371-6e43356cfed6">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0036_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0036_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0036_HL7 W0036 WID aard (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0036_HL7 W0036 WID aard (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf"
         id="tmp-85261ac9-a6e3-469e-a97c-fb88652bf16f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:verification)&gt;=1 and not(hl7:verification/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:verification is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:verification)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:verification komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification"
         id="tmp-61b9974e-3685-4910-86f1-0f72f58eafe5">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='VERIF' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'VERIF' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@moodCode='EVN' or not(@moodCode)">(R_PatientNL-JGZ-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:value)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:code"
         id="tmp-f393e79e-3ce7-4547-a1d3-62b71821e41f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='700' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1394' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(R_PatientNL-JGZ-universal): de waarde van @code MOET één van de volgende codes bevatten: '700' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1394' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:effectiveTime"
         id="tmp-00734eb7-1f75-4777-a564-acbb71082e15">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:value
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:subjectOf2/hl7:identityDocument/hl7:subjectOf/hl7:verification/hl7:value"
         id="tmp-1b2a90ef-1a18-4517-99a4-99280e9adb47">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson"
         id="tmp-74f6c7be-a6cf-4786-8d81-fabdb9895687">
      <let name="elmcount" value="count(hl7:name[@use='OR']|hl7:name[@use='L'])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=2">(R_PatientNL-JGZ-universal): keuze (hl7:name[@use='OR'] of hl7:name[@use='L']) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:birthTime)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:birthTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:multipleBirthInd)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:multipleBirthOrderNumber)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:maritalStatusCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:maritalStatusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:asEmployee)=0">(R_PatientNL-JGZ-universal): element hl7:asEmployee MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(asOtherIds)=0">(R_PatientNL-JGZ-universal): element asOtherIds MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(careGiver)=0">(R_PatientNL-JGZ-universal): element careGiver MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(birthPlace)&lt;=1">(R_PatientNL-JGZ-universal): element birthPlace komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(guarantorRole)=0">(R_PatientNL-JGZ-universal): element guarantorRole MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson
Item: (NaamOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']
Item: (NaamOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']"
         id="tmp-ea750158-8753-4e0e-9b14-6c31ea243b26">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@use='OR'">(NaamOfficieel): de waarde van @use MOET 'OR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(NaamOfficieel): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:given)&lt;=1">(NaamOfficieel): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)">(NaamOfficieel): element hl7:family is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:family)&lt;=1">(NaamOfficieel): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']/hl7:given
Item: (NaamOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']/hl7:given"
         id="tmp-ec83fbb4-7c47-446f-adc2-3aa4039064cb">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@qualifier='BR' or not(@qualifier)">(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']/hl7:prefix
Item: (NaamOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']/hl7:family
Item: (NaamOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='OR']/hl7:family"
         id="tmp-aaadf67d-9159-4f41-b3d4-4c095ebd9301">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@qualifier='BR'">(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']
Item: (NaamZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']"
         id="tmp-8eb6b58c-d818-43ef-b726-e49d97e37a8e">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@use='L'">(NaamZoalsBekendBijInstelling): de waarde van @use MOET 'L' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:given|hl7:prefix|hl7:family|hl7:delimiter|hl7:suffix)"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(NaamZoalsBekendBijInstelling): keuze (hl7:given of hl7:prefix of hl7:family of hl7:delimiter of hl7:suffix) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:validTime)&lt;=1">(NaamZoalsBekendBijInstelling): element hl7:validTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:given
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:prefix
Item: (NaamZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:prefix"
         id="tmp-f954f0a6-e4be-4a19-bf76-bab4b5babf45">
      <assert role="warning" test="@qualifier">(NaamZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/>/@qualifier ontbreekt. Deze prefix zal als titel worden geïnterpreteerd.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:family
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:delimiter
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:suffix
Item: (NaamZoalsBekendBijInstelling)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime"
         id="tmp-4f93d985-212b-41d9-b1b4-036b862fb825">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:low"
         id="tmp-5b4485cb-f7ff-430a-9c23-0bc6e7445c1a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:high"
         id="tmp-75f0d07a-e82d-4238-a8b8-284dd0d09f4c">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:name[@use='L']/hl7:validTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:administrativeGenderCode"
         id="tmp-cbcbd653-4976-491c-ac0a-983da7718601">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:birthTime
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:birthTime"
         id="tmp-de6f279d-980c-408c-b5c0-13bdc38fed72">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:multipleBirthInd
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:multipleBirthInd"
         id="tmp-d09022e3-5409-4976-a1b0-8544dce84bd5">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:multipleBirthOrderNumber
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:multipleBirthOrderNumber"
         id="tmp-bdfbc0a4-0777-413a-9f29-f1900af835ca">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:maritalStatusCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:maritalStatusCode"
         id="tmp-c22c28bf-d8c9-407f-92b7-f5e43768b526">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-MaritalStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-MaritalStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst MaritalStatus DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst MaritalStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider"
         id="tmp-0acd76f5-70b1-4192-b3fa-57951622aa48">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PAT' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:subjectOf)&gt;=1 and not(hl7:subjectOf/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:subjectOf is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:subjectOf)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf"
         id="tmp-c8f5fa4f-84b4-4d69-bc8b-bc75057a9310">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:careProvision)&gt;=1 and not(hl7:careProvision/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:careProvision is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:careProvision)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:careProvision komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision"
         id="tmp-59d2c884-be08-415f-9c33-06700ba63bc0">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PCPR' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@moodCode='EVN' or not(@moodCode)">(R_PatientNL-JGZ-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:effectiveTime[@xsi:type='IVL_TS']|hl7:effectiveTime[@xsi:type='SXPR_TS'])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=1">(R_PatientNL-JGZ-universal): keuze (hl7:effectiveTime[@xsi:type='IVL_TS'] of hl7:effectiveTime[@xsi:type='SXPR_TS']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:reasonCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:performer)&gt;=1 and not(hl7:performer/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:performer is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:performer)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:code"
         id="tmp-90d18ed5-fbc3-462a-bb38-c8728d56b163">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActMedicalServiceCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0072_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActMedicalServiceCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0072_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst ActMedicalServiceCode of W0072_HL7 W0072 Soort voorschoolse voorzieningen (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActMedicalServiceCode of W0072_HL7 W0072 Soort voorschoolse voorzieningen (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision
Item: (R_PatientNL-JGZ-universal)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']"
         id="tmp-947d7ec8-1661-49c8-bb93-c8438dd400ef">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:low"
         id="tmp-1ff2be4b-c2e9-400e-ac07-c13632f46555">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:high"
         id="tmp-2243ec4b-c36b-485f-8ae2-e1f4d084889f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']"
         id="tmp-06864570-8162-487d-ba0e-ea56f8ba7363">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:comp[@xsi:type='IVL_TS'])&gt;=1 and not(hl7:comp[@xsi:type='IVL_TS']/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:comp[@xsi:type='IVL_TS'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:comp[@xsi:type='IVL_TS'])&lt;=1">(R_PatientNL-JGZ-universal): element hl7:comp[@xsi:type='IVL_TS'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:comp[@xsi:type='PIVL_TS'])&gt;=1 and not(hl7:comp[@xsi:type='PIVL_TS']/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:comp[@xsi:type='PIVL_TS'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:comp[@xsi:type='PIVL_TS'])&lt;=1">(R_PatientNL-JGZ-universal): element hl7:comp[@xsi:type='PIVL_TS'] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']
Item: (Periode-M-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']"
         id="tmp-1e2d1322-af25-47ab-b516-accaf9ce1003">
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=2">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:low
Item: (Periode-M-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:low"
         id="tmp-d7ee0f59-e900-4ce0-8578-141af8599663">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:high
Item: (Periode-M-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:high"
         id="tmp-97f247be-2438-4389-bd5c-f899b0b58487">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:width
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='IVL_TS']/hl7:center
Item: (Periode-M-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']"
         id="tmp-28d4f00e-5658-4425-b26f-38d97d603c13">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:phase)&gt;=1 and not(hl7:phase/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:phase is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:phase)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:phase komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:period)&gt;=1 and not(hl7:period/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:period is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:period)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:period komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase"
         id="tmp-c71a3547-c301-4a0f-924f-52318fc12451">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)&gt;=1 and not(hl7:width/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:width is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:width komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)=0">(R_PatientNL-JGZ-universal): element hl7:low MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)=0">(R_PatientNL-JGZ-universal): element hl7:high MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(R_PatientNL-JGZ-universal): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase/hl7:width
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase/hl7:width"
         id="tmp-74e54bc7-fdc7-46c1-a3aa-6a9c9de5bdaa">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="(@nullFlavor or (@unit='h'))">(R_PatientNL-JGZ-universal): value MOET eenheid 'h' gebruiken </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase/hl7:low
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase/hl7:high
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:phase/hl7:center
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:period
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[@xsi:type='PIVL_TS']/hl7:period"
         id="tmp-5faae4f6-5037-41bf-8ea0-ad22fdf8b0b3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="(@nullFlavor or (@unit='wk'))">(R_PatientNL-JGZ-universal): value MOET eenheid 'wk' gebruiken </assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@value='1'">(R_PatientNL-JGZ-universal): de waarde van @value MOET '1' zijn.</assert>
      <let name="theAttValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:reasonCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:reasonCode"
         id="tmp-b52efae2-9e09-4d2e-8d83-dffddaa4f1e0">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0075_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0075_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0075_HL7 W0075 Reden geen psz (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0075_HL7 W0075 Reden geen psz (HL7) DYNAMIC.</assert>
      <assert role="error"
              test="../@negationInd='true' and ../hl7:code[@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.2']">(R_PatientNL-JGZ-universal): 
                                        <name/> mag alleen een waarde bevatten als er géén gebruik wordt gemaakt van de peuterspeelzaal</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer"
         id="tmp-95ac453a-78fd-4f40-81af-bd77ed0b3947">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='PRF' or not(@typeCode)">(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              test="not(parent::hl7:*/@negation='true') or (@xsi:nil='true' and @nullFlavor='NA')">(R_PatientNL-JGZ-universal): 
                                        <name/> MOET @xsi:nil='true' en @nullFlavor='NA' bevatten als <name path=".."/>/@negationInd='true'.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:assignedProvider)&gt;=1 and not(hl7:assignedProvider/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:assignedProvider is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:assignedProvider)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:assignedProvider komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider"
         id="tmp-0c1c35e6-ea9a-45be-bc17-dc629a5984e2">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)=0">(R_PatientNL-JGZ-universal): element hl7:effectiveTime MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:id"
         id="tmp-26b3769a-4ed3-4777-9ad9-2ba1fcd5df94">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:code"
         id="tmp-15148d87-c771-43af-bbfb-2195d40ef989">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization"
         id="tmp-c0cf233e-0d77-4fe0-a538-1d1161001c9a">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactParty)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:contactParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:id"
         id="tmp-e80d2422-7418-423f-964c-4d2f25d84571">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:code"
         id="tmp-c6f9bdee-2b76-4bb9-a66d-010be3d4a3dd">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(R_PatientNL-JGZ-universal): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:name
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:name"
         id="tmp-3e5da68b-6d97-4280-89bd-60e970d16edd">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty"
         id="tmp-2491ccab-1582-4a99-a3d8-2c25d826e84b">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ECON' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ECON' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:contactPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactPerson)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:contactPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson"
         id="tmp-58ba02a3-5796-47c6-9d59-308fc0fde034">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PSN' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:code"
         id="tmp-21183484-f986-470a-8ee8-f725589597be">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='OTH'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:code/hl7:originalText
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:code/hl7:originalText"
         id="tmp-bbe0bd6e-3591-41cf-a4f9-3c76d208f8a7">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:name
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:name"
         id="tmp-40d4fa04-3780-48af-b086-8607d30d662e">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asPatientOfOtherProvider/hl7:subjectOf/hl7:careProvision/hl7:performer/hl7:assignedProvider/hl7:representedOrganization/hl7:contactParty/hl7:contactPerson/hl7:telecom"
         id="tmp-9bb37a30-47a9-4d06-932a-357a407c40f7">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asEmployee
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen"
         id="tmp-304da396-182a-4215-a69c-a67a0ae1c9d7">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='CIT' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'CIT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:politicalNation)&gt;=1 and not(hl7:politicalNation/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:politicalNation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:politicalNation)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:politicalNation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:code"
         id="tmp-b45fb49c-0280-4be4-8ab3-57620a375d2c">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-CitizenRoleType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-CitizenRoleType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst CitizenRoleType DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst CitizenRoleType DYNAMIC.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime"
         id="tmp-7391fdd0-7b36-4d59-b659-358cac9bf96e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:low"
         id="tmp-e3955bb1-a25d-4733-9568-cf81c293beb1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:high"
         id="tmp-cbc2926e-72d3-4a23-a8a3-60e7e30d72c2">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:effectiveTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation"
         id="tmp-5ec97ccc-848f-4a30-a4bd-79a0965cbb5b">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='NAT' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'NAT' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation/hl7:code"
         id="tmp-cddd6f4b-8799-4487-94c8-a28466fc06c0">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0029_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0029_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0029_HL7 W0029 Nationaliteit (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0029_HL7 W0029 Nationaliteit (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation/hl7:name
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asCitizen/hl7:politicalNation/hl7:name"
         id="tmp-483888e9-8f89-400e-bfa0-d6d9a31d90b4">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent"
         id="tmp-6229d2b9-4dc0-40df-98a2-5dcddc598b1e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='STD' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'STD' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)=0">(R_PatientNL-JGZ-universal): element hl7:code MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:addr)=0">(R_PatientNL-JGZ-universal): element hl7:addr MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:telecom)=0">(R_PatientNL-JGZ-universal): element hl7:telecom MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:statusCode)=0">(R_PatientNL-JGZ-universal): element hl7:statusCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:quantity)=0">(R_PatientNL-JGZ-universal): element hl7:quantity MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:schoolOrganization)&gt;=1 and not(hl7:schoolOrganization/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:schoolOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:schoolOrganization)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:schoolOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:id"
         id="tmp-6663ba32-9889-4170-b94d-7e3d768a94a8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNC'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:code"
         id="tmp-31569bff-8ff0-4943-9971-2b476a98d437">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:addr
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:statusCode
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime"
         id="tmp-fc0085bd-e32a-4515-971c-4b9802416581">
      <assert role="error" test="hl7:low or hl7:high">(R_PatientNL-JGZ-universal): 
                                <name/> MOET low en/of high bevatten.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(R_PatientNL-JGZ-universal): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(R_PatientNL-JGZ-universal): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:low
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:low"
         id="tmp-235489c8-2d36-422d-9631-bb6f10683210">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:high
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:high"
         id="tmp-c566f555-bc69-451b-9e0b-dfad6f96c05b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:width
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:effectiveTime/hl7:center
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:quantity
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization"
         id="tmp-8c0f2f07-b771-4948-8c8e-1c0f992b1f22">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ORG' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.15'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.15']/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.15'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.15'])&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.15'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactParty)&gt;=1 and not(hl7:contactParty/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:contactParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactParty)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:contactParty komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:organizationContains)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:organizationContains komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.15']
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.15']"
         id="tmp-0c3651bd-85b7-4d62-862d-f3c6cafb87ec">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@root='2.16.840.1.113883.2.4.6.15'">(R_PatientNL-JGZ-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.15' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_PatientNL-JGZ-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:code"
         id="tmp-813b584a-248d-44f3-8116-20fdc12e958e">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0081_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0081_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0081_HL7 W0081 Soort onderwijs (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0081_HL7 W0081 Soort onderwijs (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty"
         id="tmp-58b8ccc3-2276-42a2-9359-555aeca32f68">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ECON' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ECON' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:contactPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactPerson)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:contactPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:code"
         id="tmp-8d1e0ab8-49f7-480a-b5dd-7cd41d9bb9a7">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='OTH'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:code/hl7:originalText
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:code/hl7:originalText"
         id="tmp-8db46837-fc46-4ab7-a6db-f6eecae1bc54">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:telecom"
         id="tmp-75f7c309-31b3-4e3e-993c-b6d1c06cea8f">
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime"
         id="tmp-a0b76090-a9d6-4834-931e-9383ec8d4119">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:low"
         id="tmp-3d694299-c914-4f09-8505-6410e48fd5e3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:high"
         id="tmp-a8d4951f-fa9d-4086-ac25-99fecaa6d3b8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:effectiveTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:contactPerson
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:contactPerson"
         id="tmp-97c61c7c-9968-43be-8e3b-8b00f46152dd">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PSN' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:contactPerson/hl7:name
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:contactParty/hl7:contactPerson/hl7:name"
         id="tmp-22ad2dba-6848-4856-a2a0-10ac65db2e28">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains"
         id="tmp-469f6330-17f8-4717-bcfb-53a847bdeffd">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PART' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PART' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:partOrganization)&gt;=1 and not(hl7:partOrganization/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:partOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:partOrganization)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:partOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization"
         id="tmp-e2289467-0a61-4f47-9ab6-9d8064d545e5">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ORG' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:id"
         id="tmp-13b26e96-9328-435e-88e6-91b95d07b08b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='NI'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:code"
         id="tmp-d5385f51-191c-47e1-a004-b6d253f11bad">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='OTH'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:code/hl7:originalText
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:code/hl7:originalText"
         id="tmp-3fdcd925-2a3e-416b-bab4-45916bcc57eb">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:name
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asStudent/hl7:schoolOrganization/hl7:organizationContains/hl7:partOrganization/hl7:name"
         id="tmp-1054ca47-fc19-44ff-9f8f-2bf7254c51ac">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember"
         id="tmp-35ce701a-1114-4dd8-bd6a-5c10492573b4">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='MBR' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'MBR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)=0">(R_PatientNL-JGZ-universal): element hl7:id MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)=0">(R_PatientNL-JGZ-universal): element hl7:code MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:statusCode)=0">(R_PatientNL-JGZ-universal): element hl7:statusCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)=0">(R_PatientNL-JGZ-universal): element hl7:effectiveTime MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:subjectOf)=0">(R_PatientNL-JGZ-universal): element hl7:subjectOf MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:group)&gt;=1 and not(hl7:group/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:group is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:group)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:group komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:statusCode
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:subjectOf
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group"
         id="tmp-f5f052ed-8148-42b2-92b3-9449e694042d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ORG' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:desc)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:desc komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:member)=0">(R_PatientNL-JGZ-universal): element hl7:member MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:id"
         id="tmp-7456d969-167e-47df-8f6c-cbb84c469999">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:code"
         id="tmp-92f87c80-3c62-43ae-b1b6-8370ad81cbe7">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0094_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0094_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0094_HL7 W0094 Woonsituatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0094_HL7 W0094 Woonsituatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:desc
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:desc"
         id="tmp-9d9ac25c-6be1-4046-b659-89d9cc545b59">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:asMember/hl7:group/hl7:member
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/asOtherIds
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty"
         id="tmp-604e9d8b-68a5-43df-a74c-824f24ac78b3">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='CON' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactPerson)&gt;=1 and not(hl7:contactPerson/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:contactPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:contactPerson)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:contactPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:code"
         id="tmp-671da8d6-c6a3-4c26-a0a6-3b4570d80287">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='OTH'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:code/hl7:originalText
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:code/hl7:originalText"
         id="tmp-f9901c7e-b36a-4f7a-a66c-f371d75fd399">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:telecom"
         id="tmp-5363366d-cf5d-425d-beb4-f822124d1d29">
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime"
         id="tmp-09f4e89a-fa57-45c6-86f7-cb363004ed9c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:low"
         id="tmp-52b3fb0b-1eb3-4a83-a856-8fa8b3b19c6a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:high"
         id="tmp-21b12ef3-7675-40d1-b0a4-e737c44b6d50">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:effectiveTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:contactPerson
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:contactPerson"
         id="tmp-f93dba35-766c-4c9a-bbb9-e1c8bef5be3e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:name)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:contactPerson/hl7:name
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:contactParty/hl7:contactPerson/hl7:name"
         id="tmp-6ff53625-cd63-40b2-9a64-44551f5d4e61">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian"
         id="tmp-908e1d08-4234-476f-b63b-5fbfa9000c8a">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='GUARD' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'GUARD' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)=0">(R_PatientNL-JGZ-universal): element hl7:id MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:addr)=0">(R_PatientNL-JGZ-universal): element hl7:addr MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:telecom)=0">(R_PatientNL-JGZ-universal): element hl7:telecom MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:statusCode)=0">(R_PatientNL-JGZ-universal): element hl7:statusCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)=0">(R_PatientNL-JGZ-universal): element hl7:effectiveTime MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:guardianPerson)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:guardianPerson is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:guardianPerson)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:guardianPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:guardianOrganization)=0">(R_PatientNL-JGZ-universal): element hl7:guardianOrganization MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:code"
         id="tmp-bc2dd261-86bb-4b42-bfac-4cc9a1472996">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0031_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0031_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0031_HL7 W0031 Indicatie gezag minderjarige (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0031_HL7 W0031 Indicatie gezag minderjarige (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:addr
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:statusCode
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:guardianPerson
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:guardianPerson"
         id="tmp-c296e74d-d817-4d66-98fe-3d8f5e64609d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='NI'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error" test="@xsi:nil='true'">(R_PatientNL-JGZ-universal): 
                                <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:guardian/hl7:guardianOrganization
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship"
         id="tmp-dc273a9c-fa6e-495a-acfb-11379c18cfc3">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PRS' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:addr[@use='HP' or @use='PST']|hl7:addr[@use and not(@use='OR')]|hl7:addr[not(@use) and hl7:useablePeriod])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:statusCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:relationshipHolder1)&gt;=1 and not(hl7:relationshipHolder1/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:relationshipHolder1 is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:relationshipHolder1)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:relationshipHolder1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:relationshipHolder2)=0">(R_PatientNL-JGZ-universal): element hl7:relationshipHolder2 MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:code"
         id="tmp-c46ae5a0-025e-4cb5-8df0-ce57336c02f7">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0096_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0108_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-Child-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0096_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0108_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-Child-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0096_HL7 W0096 Relatie tot kind ouder/verzorger (HL7) of W0108_HL7 W0108 Relatie tot kind broer/zus (HL7) of Child DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0096_HL7 W0096 Relatie tot kind ouder/verzorger (HL7) of W0108_HL7 W0108 Relatie tot kind broer/zus (HL7) of Child DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']"
         id="tmp-5af3dfa2-0990-410b-b551-d53a4efdf1b9">
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="count(index-of(@use,'HP'))=1 or count(index-of(@use,'PST'))=1">(AdresOfficieel): 
                    <name/>/@use MOET waarde 'HP' of 'PST' bevatten</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:streetName)&gt;=1 and not(hl7:streetName/@nullFlavor)">(AdresOfficieel): element hl7:streetName is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:streetName)&lt;=1">(AdresOfficieel): element hl7:streetName komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:houseNumber)&gt;=1 and not(hl7:houseNumber/@nullFlavor)">(AdresOfficieel): element hl7:houseNumber is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:houseNumber)&lt;=2">(AdresOfficieel): element hl7:houseNumber komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:additionalLocator)&lt;=1">(AdresOfficieel): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">(AdresOfficieel): element hl7:postalCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:postalCode)&lt;=1">(AdresOfficieel): element hl7:postalCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)">(AdresOfficieel): element hl7:county is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)&lt;=1">(AdresOfficieel): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresOfficieel): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:streetName
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:streetName"
         id="tmp-fa24158d-3f6c-4de2-b58c-956abf9389ca">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:houseNumber
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:houseNumber"
         id="tmp-c32a72a4-47cf-4af2-873d-3754a0b3e2dc">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:additionalLocator
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:additionalLocator"
         id="tmp-cac96b00-cf50-4e56-b036-fa09b0a7ef4a">
      <let name="theValue" value="text()"/>
      <assert role="error" test="text()='to' or text()='by'">(AdresOfficieel): 
                        <name path=".."/>/<name/> MOET 'to' of 'by' bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:postalCode
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:postalCode"
         id="tmp-053914fe-01e9-4e4b-9092-496f9445643e">
      <let name="theValue" value="text()"/>
      <assert role="error" test="string-length(text())=7">(AdresOfficieel): 
                        <name path=".."/>/<name/> MOET formaat 'nnnn AA' zijn (met spatie)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:county
Item: (AdresOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:county"
         id="tmp-e7a98674-ee18-4fd3-b89f-6d75798cc22f">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresOfficieel): 
                        <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod
Item: (AdresOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod"
         id="tmp-0c221f0b-8d35-40d5-a337-af98597dd4d5">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:low"
         id="tmp-33a2505d-7d03-4b7c-b363-c3cc8e74a030">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:high"
         id="tmp-a1f0bca1-ceb9-4e90-b625-0694f55f750b">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use='HP' or @use='PST']/hl7:useablePeriod/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]"
         id="tmp-af18a4cd-45f2-4941-99c7-7e722751a561">
      <let name="theValue" value="@value"/>
      <assert role="warning" test="@use">(AdresZoalsBekendBijInstelling): Het attribuut @use MOET, indien aanwezig, 'HP' (Primair woonadres) of 'PST' (Postadres), 'PHYS' (Bezoekadres), 'WP' (Werkadres), 'HV' (Vakantieadres), of 'CONF' (Geheim adres) bevatten.</assert>
      <let name="elmcount"
           value="count(hl7:streetName|hl7:houseNumber|hl7:buildingNumberSuffix|hl7:additionalLocator|hl7:postalCode|hl7:city|hl7:county|hl7:country|hl7:delimiter|hl7:desc)"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(AdresZoalsBekendBijInstelling): keuze (hl7:streetName of hl7:houseNumber of hl7:buildingNumberSuffix of hl7:additionalLocator of hl7:postalCode of hl7:city of hl7:county of hl7:country of hl7:delimiter of hl7:desc) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresZoalsBekendBijInstelling): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:streetName
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:streetName"
         id="tmp-a5274230-f9a4-4f21-9058-74b1bab66e13">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:houseNumber
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:houseNumber"
         id="tmp-86ae3bca-3e94-4493-9e6f-3b6737e31287">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:buildingNumberSuffix
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:buildingNumberSuffix"
         id="tmp-754358f0-b502-4f2d-a003-2bccd3532d0d">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:additionalLocator
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:additionalLocator"
         id="tmp-a9d516cd-4d49-46ff-963e-0e20f30aa31a">
      <let name="theValue" value="text()"/>
      <assert role="error" test="text()='to' or text()='by'">(AdresZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/> MOET 'to' of 'by' bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:postalCode
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:postalCode"
         id="tmp-c238705b-5b92-4d77-a02e-a2b622520004">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:city
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:city"
         id="tmp-79ffd5e5-33b4-4927-ac49-fb86daff140e">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:county
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:county"
         id="tmp-29c33768-c5bc-4e42-b589-6a0c6e4e88cb">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(AdresZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33 (IH Basiscomponenten/Jeugdgezondheidszorg)</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:country
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:country"
         id="tmp-cf0c28cd-c42d-4ea7-83b8-87e40d8f4de2">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(AdresZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:delimiter
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:delimiter"
         id="tmp-d701bef1-6f56-4b3a-bd8a-7f2098757bdd">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:desc
Item: (AdresZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:desc"
         id="tmp-ec332641-e8f0-44c7-8bd0-f24a6dc84969">
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod
Item: (AdresZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod"
         id="tmp-5dc56436-8fd0-4e20-9dc1-804a9d924de8">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:low"
         id="tmp-26781fd4-132f-4265-900b-66c0e447c4c6">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:high"
         id="tmp-c1b87f7f-f330-460e-883f-8066c530f65a">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[@use and not(@use='OR')]/hl7:useablePeriod/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]
Item: (AdresVestigingVertrekNederland)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]"
         id="tmp-c77d4d6b-f6f9-4b1c-be7c-039b6b24d596">
      <let name="theValue" value="@value"/>
      <assert role="error" test="not(@use)">(AdresVestigingVertrekNederland): Het attribuut @use MAG NIET worden gebruikt.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:streetName)=0">(AdresVestigingVertrekNederland): element hl7:streetName MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:houseNumber)=0">(AdresVestigingVertrekNederland): element hl7:houseNumber MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:buildingNumberSuffix)=0">(AdresVestigingVertrekNederland): element hl7:buildingNumberSuffix MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:additionalLocator)=0">(AdresVestigingVertrekNederland): element hl7:additionalLocator MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:postalCode)=0">(AdresVestigingVertrekNederland): element hl7:postalCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:city)=0">(AdresVestigingVertrekNederland): element hl7:city MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)=0">(AdresVestigingVertrekNederland): element hl7:county MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)">(AdresVestigingVertrekNederland): element hl7:country is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&lt;=1">(AdresVestigingVertrekNederland): element hl7:country komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:delimiter)=0">(AdresVestigingVertrekNederland): element hl7:delimiter MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:desc)=0">(AdresVestigingVertrekNederland): element hl7:desc MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&gt;=1 and not(hl7:useablePeriod/@nullFlavor)">(AdresVestigingVertrekNederland): element hl7:useablePeriod is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:useablePeriod)&lt;=1">(AdresVestigingVertrekNederland): element hl7:useablePeriod komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:streetName
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:houseNumber
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:buildingNumberSuffix
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:additionalLocator
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:postalCode
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:city
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:county
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:country
Item: (AdresVestigingVertrekNederland)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:country"
         id="tmp-099cb1ab-f47d-4df6-b3f1-28e5642e723a">
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='6030' and @codeSystem='2.16.840.1.113883.2.4.4.16.34')">(AdresVestigingVertrekNederland): de waarde van @code/@codeSystem MOET ''6030' codeSystem '2.16.840.1.113883.2.4.4.16.34'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:delimiter
Item: (AdresVestigingVertrekNederland)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:desc
Item: (AdresVestigingVertrekNederland)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod"
         id="tmp-a12937b6-58de-4a41-852a-dc2a2ec1bc13">
      <extends rule="tmp-da29c291-bb50-44d1-80e0-458db5e96356"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(AdresVestigingVertrekNederland): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(AdresVestigingVertrekNederland): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low"
         id="tmp-92578d23-4dbe-4535-b58f-a51993d008dc">
      <extends rule="tmp-8e01c97d-cbcd-4fcf-9900-f94ad6b36948"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high
Item: (AdresVestigingVertrekNederland)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high"
         id="tmp-11f7ae51-f783-431b-a516-89a52efe0931">
      <extends rule="tmp-0ff25c02-321c-4a25-bd1c-96399d098821"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-da29c291-bb50-44d1-80e0-458db5e96356" abstract="true">
      <let name="elmcount" value="count(hl7:low|hl7:high)"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=2">(Periode-M-Start-O-Eind-O): keuze (hl7:low of hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-M-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-M-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:low
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-8e01c97d-cbcd-4fcf-9900-f94ad6b36948" abstract="true">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:high
Item: (Periode-M-Start-O-Eind-O)
-->
<rule id="tmp-0ff25c02-321c-4a25-bd1c-96399d098821" abstract="true">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:width
Item: (Periode-M-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:addr[not(@use) and hl7:useablePeriod]/hl7:useablePeriod/hl7:center
Item: (Periode-M-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:telecom
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:telecom"
         id="tmp-3fa44162-69ea-4c87-9f3e-199fab98e470">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:statusCode
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1"
         id="tmp-d36b7625-d9e0-4bbc-9574-559c00c0da84">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='PSN' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount" value="count(hl7:name[@use='OR']|hl7:name[@use='L'])"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(R_PatientNL-JGZ-universal): keuze (hl7:name[@use='OR'] of hl7:name[@use='L']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&lt;=1">(R_PatientNL-JGZ-universal): keuze (hl7:name[@use='OR'] of hl7:name[@use='L']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:birthTime)&gt;=1 ">(R_PatientNL-JGZ-universal): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:birthTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:deceasedInd)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:deceasedInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:deceasedTime)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:educationLevelCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:educationLevelCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:religiousAffiliationCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:religiousAffiliationCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:asEmployee)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:asEmployee komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(birthPlace)&lt;=1">(R_PatientNL-JGZ-universal): element birthPlace komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-db80698c-edf6-4e5b-bcb6-cfde4f90d496">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(R_PatientNL-JGZ-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_PatientNL-JGZ-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1
Item: (NaamOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']
Item: (NaamOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']"
         id="tmp-9d01e739-4216-42d1-8a02-5d1fd11fe374">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@use='OR'">(NaamOfficieel): de waarde van @use MOET 'OR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(NaamOfficieel): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:given)&lt;=1">(NaamOfficieel): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)">(NaamOfficieel): element hl7:family is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:family)&lt;=1">(NaamOfficieel): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']/hl7:given
Item: (NaamOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']/hl7:given"
         id="tmp-1cb9801a-a11b-4d76-ba53-4472b8283c8d">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@qualifier='BR' or not(@qualifier)">(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']/hl7:prefix
Item: (NaamOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']/hl7:family
Item: (NaamOfficieel)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='OR']/hl7:family"
         id="tmp-f419905f-82e3-4220-b489-ae92b47473c7">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@qualifier='BR'">(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']
Item: (NaamZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']"
         id="tmp-3a3b3ba9-cd90-4987-bb0a-994f2a11e9a0">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@use='L'">(NaamZoalsBekendBijInstelling): de waarde van @use MOET 'L' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:given|hl7:prefix|hl7:family|hl7:delimiter|hl7:suffix)"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="$elmcount&gt;=1">(NaamZoalsBekendBijInstelling): keuze (hl7:given of hl7:prefix of hl7:family of hl7:delimiter of hl7:suffix) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:validTime)&lt;=1">(NaamZoalsBekendBijInstelling): element hl7:validTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:given
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:prefix
Item: (NaamZoalsBekendBijInstelling)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:prefix"
         id="tmp-27c360f3-d29e-4965-99d5-34a36d92a6f9">
      <assert role="warning" test="@qualifier">(NaamZoalsBekendBijInstelling): 
                            <name path=".."/>/<name/>/@qualifier ontbreekt. Deze prefix zal als titel worden geïnterpreteerd.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:family
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:delimiter
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:suffix
Item: (NaamZoalsBekendBijInstelling)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime"
         id="tmp-b0cd5f42-1ec2-4d86-9bf7-570b371e9f4e">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:low"
         id="tmp-f43ac5bd-4a1f-4f69-b105-ae217a68b953">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:high"
         id="tmp-62122d4d-b06b-4340-83c1-0f6b90cf68c3">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:name[@use='L']/hl7:validTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:administrativeGenderCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:administrativeGenderCode"
         id="tmp-9dfc0969-ef0e-47cc-a431-a66b556aa7f0">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:birthTime
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:birthTime"
         id="tmp-3873ee22-b905-4482-9455-bb7201f22612">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:deceasedInd
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:deceasedInd"
         id="tmp-c4374576-42ac-4931-af4c-2db1b5b783f8">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:deceasedTime
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:deceasedTime"
         id="tmp-a142e92a-ce4c-45a8-9fa4-26f44753f9b3">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:educationLevelCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:educationLevelCode"
         id="tmp-2ba9563a-c4cd-437e-aa8e-59b4b48924f5">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0658_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0658_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0658_HL7 W0658 Opleiding ouder/verzorger (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0658_HL7 W0658 Opleiding ouder/verzorger (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:religiousAffiliationCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:religiousAffiliationCode"
         id="tmp-657f3da5-5a25-48df-886d-47328e69467f">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='OTH'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:religiousAffiliationCode/hl7:originalText
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:religiousAffiliationCode/hl7:originalText"
         id="tmp-7af179a0-6f52-4bdf-a22f-77c130883a2a">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee"
         id="tmp-0d939774-fb66-42ad-a336-0c0f613a15ce">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee/hl7:code"
         id="tmp-c5a6796a-82c6-48b6-b21d-a1c97f9720d4">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor='OTH'">(R_PatientNL-JGZ-universal): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:originalText)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee/hl7:code/hl7:originalText
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asEmployee/hl7:code/hl7:originalText"
         id="tmp-f2ee7d70-4e02-405e-98de-52d18187b42b">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember"
         id="tmp-2ea05548-b8c0-4c17-978d-bfd0bb9c4d96">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='MBR' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'MBR' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)=0">(R_PatientNL-JGZ-universal): element hl7:id MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)=0">(R_PatientNL-JGZ-universal): element hl7:code MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:statusCode)=0">(R_PatientNL-JGZ-universal): element hl7:statusCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:effectiveTime)=0">(R_PatientNL-JGZ-universal): element hl7:effectiveTime MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:subjectOf)=0">(R_PatientNL-JGZ-universal): element hl7:subjectOf MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:group)&gt;=1 and not(hl7:group/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:group is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:group)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:group komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:statusCode
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:effectiveTime
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:subjectOf
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group"
         id="tmp-6aaf2238-d6bc-43a8-bcd7-83b0c0ab8660">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='ORG' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'ORG' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(R_PatientNL-JGZ-universal): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:id)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:desc)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:desc komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:member)=0">(R_PatientNL-JGZ-universal): element hl7:member MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:id
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:id"
         id="tmp-bff5ad4e-6b59-41e5-bcf9-c3531a349777">
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:code"
         id="tmp-66c19a03-1969-4b03-b6eb-a2040db66209">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0094_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0094_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0094_HL7 W0094 Woonsituatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0094_HL7 W0094 Woonsituatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:desc
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:desc"
         id="tmp-02a9439d-8990-4651-b844-55d29cdb30a1">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:asMember/hl7:group/hl7:member
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace"
         id="tmp-683afb3b-68ba-40ee-9b6e-3ec4f234d1c8">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:addr)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace/hl7:addr
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace/hl7:addr"
         id="tmp-c980b4c1-2c72-4312-b2ea-b066f6afb6c5">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:country is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:country komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace/hl7:addr/hl7:country
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/birthPlace/hl7:addr/hl7:country"
         id="tmp-62aaa279-7402-420c-8249-faef10224f94">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(R_PatientNL-JGZ-universal): 
                                            <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:languageCommunication
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:languageCommunication"
         id="tmp-6f8c6636-a8c9-4163-8efb-f438123c6ce9">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:languageCode)&gt;=1 and not(hl7:languageCode/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:languageCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:languageCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:languageCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:languageCommunication/hl7:languageCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder1/hl7:languageCommunication/hl7:languageCode"
         id="tmp-fd6904cc-6f6c-4f17-a6fc-a9e65e63bf36">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@codeSystem='1.0.639.2')">(R_PatientNL-JGZ-universal): de waarde van @codeSystem MOET ''1.0.639.2'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:relationshipHolder2
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf"
         id="tmp-3253ab03-508f-433b-970d-057014f95c77">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@typeCode='SBJ' or not(@typeCode)">(R_PatientNL-JGZ-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:personalRelationshipObservation)&gt;=1 and not(hl7:personalRelationshipObservation/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:personalRelationshipObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:personalRelationshipObservation)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:personalRelationshipObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation"
         id="tmp-c209cbc1-9567-4906-b0b9-06b235102b1f">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@classCode='OBS' or not(@classCode)">(R_PatientNL-JGZ-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@moodCode='EVN' or not(@moodCode)">(R_PatientNL-JGZ-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:code)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:value)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation/hl7:code
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation/hl7:code"
         id="tmp-17fbc584-bb4c-41e2-9634-fa09ce37c7f8">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='78' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1322' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1367' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1374' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(R_PatientNL-JGZ-universal): de waarde van @code MOET één van de volgende codes bevatten: '78' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1322' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1367' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1374' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation/hl7:value
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:personalRelationship/hl7:subjectOf/hl7:personalRelationshipObservation/hl7:value"
         id="tmp-1bbaaccc-d6b8-4c43-a8ca-a369dfc72fa3">
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/careGiver
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace"
         id="tmp-11ed94cd-c7d4-4788-aad9-cc03af176076">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:addr)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr"
         id="tmp-cbd1ef7b-9f51-45d1-9d97-994a80b2c7c1">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:county is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:county)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&gt;=1 and not(hl7:country/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:country is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:country)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:country komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr/hl7:county
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr/hl7:county"
         id="tmp-72897c7b-4e7a-4ecb-819f-2c9d68ae7449">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(R_PatientNL-JGZ-universal): 
                                    <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr/hl7:country
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/birthPlace/hl7:addr/hl7:country"
         id="tmp-ba658dc0-9037-4a23-b0d8-2d0facc86919">
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(R_PatientNL-JGZ-universal): 
                                    <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/guarantorRole
Item: (R_PatientNL-JGZ-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication"
         id="tmp-bdbacbca-e00d-49d7-94c7-836321ea487c">
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:languageCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:languageCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:languageCode)=0">(R_PatientNL-JGZ-universal): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:modeCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:modeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:proficiencyLevelCode)&gt;=1 and not(hl7:proficiencyLevelCode/@nullFlavor)">(R_PatientNL-JGZ-universal): element hl7:proficiencyLevelCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="count(hl7:proficiencyLevelCode)&lt;=1">(R_PatientNL-JGZ-universal): element hl7:proficiencyLevelCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCode"
         id="tmp-85d6b400-5bb2-44d5-96d7-5df952dc8698">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@codeSystem='1.0.639.2')">(R_PatientNL-JGZ-universal): de waarde van @codeSystem MOET ''1.0.639.2'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:modeCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:modeCode"
         id="tmp-7228f469-937a-4a03-9096-922f6b5df0ec">
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or (@code='LTRC' and @codeSystem='2.16.840.1.113883.5.60')">(R_PatientNL-JGZ-universal): de waarde van @code/@codeSystem MOET ''LTRC' codeSystem '2.16.840.1.113883.5.60'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.131
Context: *[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode
Item: (R_PatientNL-JGZ-universal)
-->

<rule context="*[hl7:patient[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.131']]/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode"
         id="tmp-fbe2d8cf-0698-4cea-8acb-38a3c3707e8f">
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0644_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0644_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(R_PatientNL-JGZ-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0644_HL7 W0644 Laag- of niet geletterd (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="jgz-html-develop/tmp-2.16.840.1.113883.2.4.6.10.100.131.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(R_PatientNL-JGZ-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0644_HL7 W0644 Laag- of niet geletterd (HL7) DYNAMIC.</assert>
   </rule>
</pattern>
